Sync with portage [Wed Dec 6 16:13:06 MSK 2023].

master
root 5 months ago
parent 60e2f94211
commit 03210b0eae

Binary file not shown.

Binary file not shown.

@ -1,4 +1,7 @@
DIST ansible-core-2.14.11.tar.gz 3144040 BLAKE2B b9ae1b284219650a764af6b2a341172730cbfe3481b9ff3d1e33549ddd9b687071455a6349124019f0dd8448d5c61ada9e0011375f2ffc74ca4ae44cd1ce285b SHA512 778d7b2646d59ac45994a0d33e59d0f85ca2cbf58605d94185fc86d9bc782d642d155c056213703c95e5b144939e287176096d833b9487971efa5cc22624bd27
DIST ansible-core-2.14.12.tar.gz 3144432 BLAKE2B 7c7e1f73a19e6033b7b230ac6505d34aeb57b75bfe0ece88332b98aa1cd0c6a27eb843829cbe25b5956dd602143171a6eea313cdd97f53b0ddeceefe905955e5 SHA512 648835f2b025ca37c1b88a47eb34ce972c15e66563e14573b9ad9e518cf0d96af882784495311724a5d66cb028fc65aa351e56f827d328032a95c9fb0c882bd8
DIST ansible-core-2.15.5.tar.gz 3154868 BLAKE2B 4de5dfe792f8b33b0c64747142658215a235f0b6269b8e00742adc81f2d87db3e24fd9fc58bf58106591c8981dae356ebeb9a958ba55645eebf1815913a98120 SHA512 820c455d4e9703fc0edebdc917325b7dc5a47c29fbaaac701e3b4d975cd17ebcdffefeec178c57b15f11ccdc57cbd649cd070031fd927c1f35819d4955e19cc0
DIST ansible-core-2.15.6.tar.gz 3154982 BLAKE2B 3c69671639d11e13aab266659fffeea2a213b8ed0e87d343926791428f4ad1c5a5e32e1d841eca2080d78af58c2a68b833cfa900b29403a6e86663fe8671154f SHA512 e1876b59c3393429d42e03bb74252e0f22f3d7cec8f80c74d2f024e1204c2bfa354c4240a283c16c63186cf8e7a705c2f99b08715ea2dcfe290884ce1f8b9114
DIST ansible-core-2.15.7.tar.gz 3159286 BLAKE2B 8efcc68dc01beaf9dfd7b7988dcc8c9581e390813a0b04514c69d674cbf6fef19e8b46950a03b558cd7de0c394d6923ddae85aa8a4f32f60b7abb63f73ad2a3c SHA512 f94416122040c945dc871fa0f897e3bc3d02e43459573bc5e7fa4f1988b1d7b5be306cb48e9ebc59dd111e710c462a5e421312f909f8476d6ae5d3bc6b493c4d
DIST ansible-core-2.16.0.tar.gz 3155083 BLAKE2B b488548d01bc5a1eb3826533241a35948b029cbc83c8b1d8e78d0f9e2d9c88ee16dbc6858b4e1e3c656fee760ff839d445c2ab6bfa2ae72686933f668113731a SHA512 1a94d958423f8a6b3f74f3c88157c21cced9c5332db2e3f601aa54360a0d9434082f61c2d5c3356beb19cd17b876f27d5c8f6b12e17360334a41ce25cf7fd5c0
DIST ansible-core-2.16.1.tar.gz 3162449 BLAKE2B b31b0a7506cd753131745b10734a79af5aa41ce2842e15effda88b81deef59978704d3b8d17b4434a657dc984ad8466a0dff807f63db06c190d8e24509f36327 SHA512 c01ad95fedc47a8467c9ddf00ac05875d11507ad63da4978c1e6a9d17f3ae200da288851175378147302eb590af9fe6071042695faad3b9aee60161a0df27a6b

@ -0,0 +1,58 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{10..11} )
DISTUTILS_USE_SETUPTOOLS=bdepend
PYPI_NO_NORMALIZE=1
inherit distutils-r1
DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://www.ansible.com/"
if [[ ${PV} == 9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/ansible/ansible.git"
EGIT_BRANCH="devel"
else
inherit pypi
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~x64-macos"
fi
LICENSE="GPL-3"
SLOT="0"
RESTRICT="test"
PATCHES=(
"${FILESDIR}/resolvelib.patch"
)
RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
>=dev-python/resolvelib-0.5.3[${PYTHON_USEDEP}]
<dev-python/resolvelib-1.1.0[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
"
BDEPEND="
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
test? (
dev-python/botocore[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
)"
distutils_enable_tests pytest
python_compile() {
export ANSIBLE_SKIP_CONFLICT_CHECK=1
distutils-r1_python_compile
}

@ -0,0 +1,54 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{10..11} )
DISTUTILS_USE_SETUPTOOLS=bdepend
PYPI_NO_NORMALIZE=1
inherit distutils-r1
DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://www.ansible.com/"
if [[ ${PV} == 9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/ansible/ansible.git"
EGIT_BRANCH="devel"
else
inherit pypi
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~x64-macos"
fi
LICENSE="GPL-3"
SLOT="0"
RESTRICT="test"
RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
>=dev-python/resolvelib-0.5.3[${PYTHON_USEDEP}]
<dev-python/resolvelib-1.1.0[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
"
BDEPEND="
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
test? (
dev-python/botocore[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
)"
distutils_enable_tests pytest
python_compile() {
export ANSIBLE_SKIP_CONFLICT_CHECK=1
distutils-r1_python_compile
}

@ -0,0 +1,54 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{10..11} )
DISTUTILS_USE_SETUPTOOLS=bdepend
PYPI_NO_NORMALIZE=1
inherit distutils-r1
DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://www.ansible.com/"
if [[ ${PV} == 9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/ansible/ansible.git"
EGIT_BRANCH="devel"
else
inherit pypi
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~x64-macos"
fi
LICENSE="GPL-3"
SLOT="0"
RESTRICT="test"
RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
>=dev-python/resolvelib-0.5.3[${PYTHON_USEDEP}]
<dev-python/resolvelib-1.1.0[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
"
BDEPEND="
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
test? (
dev-python/botocore[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
)"
distutils_enable_tests pytest
python_compile() {
export ANSIBLE_SKIP_CONFLICT_CHECK=1
distutils-r1_python_compile
}

@ -1,3 +1,5 @@
DIST ansible-7.7.0.tar.gz 40709642 BLAKE2B ee2f8d124f79ca3a3f131bfbc4f93e10d104a38262b7d60edd2a88284275fecdd3acf0e566a5cc81a1fb6a179a0b7c51215f2945d669be4c6af7aa2a4f31ade0 SHA512 7da6845c9a68f2b8c10cf3e4cc6ea347861d5b59daa6ac895731ac79b733c6724d234345054fe9e3bf4ea460345b9026492fda42dce22bfbc027c9b4de093fd9
DIST ansible-8.5.0.tar.gz 40712390 BLAKE2B 1fc1fe7334f52a8b1e630aa31c0d01a2ac2c117f7e0dc432ad37a8a170b9d8ca9635ebd9a962ee0c04fb9282ddb5526b65268b6167a2caad804953c6952b12ae SHA512 4a61696f6cfe1859a1524bd6da45083b8bdec188d1c9fae382eb218776759d34237f7be9deaaf8734e1d6829a9c9fb75f843d8316df30d255314f10beb9ce6aa
DIST ansible-8.6.0.tar.gz 41548019 BLAKE2B 01506ff418045b138fb7b8cb7c12b30e269c1001a66d2ba3c67fd50542f3823f83f1c85d934985bbeec18ec7275bffdecba47b1a3e6cbb0f350422751eccf319 SHA512 b316f1d6e8ffd4739f142d9add50f39802d8a57bac026f8ab833fd3d07c2ccd9df1d2ba5bcf68b3486db99e12943e8787203e22b16d1ecd1c4c1655a3573cf5d
DIST ansible-8.6.1.tar.gz 41550388 BLAKE2B bfa1d1a3fd3a32270f0551942594c117c3637e1556e838ff25fc2116e10e40556fcf0c495228c5aa52238466857194898329cf16dfa9e16d5499a86d80018ea0 SHA512 92cb3909693b54c47b88987aa92b3ca7caa1765f16a7e4c88abf0e3ff70e9d764de145fffdc56d04c40b4d4d6551775cfd7b99423373feffe6706ef80c84baa4
DIST ansible-9.0.1.tar.gz 41021796 BLAKE2B d5127e5be9ec2f835e4d32a4a30889f9c0cd50f63f843472b36bce7220a3c7063fefa9e47cba1ea790f44e2a55fd8c1652df49518f76cfa1cac6ad84d7f076c3 SHA512 8ae5f6a3e5039129d3a918a538b6b16644a2b489894cbd8a455cbb71ba73b0b0eeb326b7d72b238698af4f7f19cd4ac3fed8e8d55518f817eeae8651776ae503

@ -0,0 +1,28 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{9..11} )
inherit distutils-r1 pypi
DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://www.ansible.com/"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~x64-macos"
RESTRICT="test"
RDEPEND=">=app-admin/ansible-core-2.15.0
<app-admin/ansible-core-2.16"
python_compile() {
local -x ANSIBLE_SKIP_CONFLICT_CHECK=1
distutils-r1_python_compile
}
python_install() {
local -x ANSIBLE_SKIP_CONFLICT_CHECK=1
distutils-r1_python_install
}

@ -0,0 +1,28 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{10..11} )
inherit distutils-r1 pypi
DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://www.ansible.com/"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~x64-macos"
RESTRICT="test"
RDEPEND=">=app-admin/ansible-core-2.16.0
<app-admin/ansible-core-2.17"
python_compile() {
local -x ANSIBLE_SKIP_CONFLICT_CHECK=1
distutils-r1_python_compile
}
python_install() {
local -x ANSIBLE_SKIP_CONFLICT_CHECK=1
distutils-r1_python_install
}

@ -1,8 +1,5 @@
DIST aws-cli-1.29.84.gh.tar.gz 2576584 BLAKE2B c442a433b0deaacb8b0a94ecb4ce296b60eb6f364bf5626d4ccf606d35b8ad22a2859c29486c9eaa8091edc9f796d271b5b7308638d10f72f128b4548f5250bf SHA512 6f46bde5016df5d227861ed80e847a893144f290dba11c57966f6ccf043690fad42dcc11d18e1b2d27225c8b070063a2c20b8a622628bde37887e44d0e0e7fb5
DIST aws-cli-1.30.3.gh.tar.gz 2594517 BLAKE2B 67ffda10491b734a15119ed3963735e53a66d868954e908816ef918b0adb706ef23337a4dde76758bb1fc957be8a6794106c2d26b9865a9e9dd6e11cc70c4016 SHA512 9b9474a6206cecd0d9f15aabf1c94421aabf4b0ea2d5c829e59747d5fa68093e6f79b0e554ea1dfb891774a0ab49d1143cd582521bd21735e209b40f040973cd
DIST aws-cli-1.30.6.gh.tar.gz 2596217 BLAKE2B 3b4cbd540ede2826d212233e76a4431f090fdaa1848f3ddd5e52c3d637e8ccb6ed406072b5b4b3f62b67a29a995d984bfcf1f961915594459e52199dba2341b8 SHA512 8273d234428eb42e8845052c4122e06bb6d0693d2878296a101fa3ce72c5690787c6151aa8f819db83fe36f5263d14efd1e4b469494da8994d47d1f213c394b3
DIST aws-cli-1.31.0.gh.tar.gz 2599974 BLAKE2B 3ffc916e01cebd9e8532d01190324c3d8a51f13710751df530ab7ef24f759202bf41072367ffa871cf1a1c9d980d5bb4d5739fb9f5cc651e1e660a9684dad79d SHA512 d99497c945af03ac35fa19e6cce3b25b4cd13e5f7e84eef85bfd32bd9411d6ae0e41ca96117e2ea26c791b56cae19e4c92b742c83ef5cf5338f27ee287d78b8a
DIST aws-cli-1.31.1.gh.tar.gz 2600259 BLAKE2B ebe55d0b5cd1ba730ce4ef6b6911b5d4877668c04428d59dd75a353ac55ddea4a42296399b53ce4ed119fcd7b877762adbf606b0dd114274cf4c68186577d1c1 SHA512 96a97b585ad8b47394412ed4d1494414e70ddb52788da5c2e8e977652b5fde2300b2c98b0727f19e1f305ff5b55dd428049cdd6fd3fbc746a4aec28d68c25f9d
DIST aws-cli-1.31.2.gh.tar.gz 2602541 BLAKE2B a24a6a4d7c5714e4d54d6eaa2e77a0a642a815f917951b0aea23a91da745f78e647543b47e656cb1ceb6a952552b498b7ae6f316763bfae34ec5e84789564699 SHA512 a0e0e88210ce9be19c66981a8a9def72f1032492cbb6075afd0c4f9c753d270b82925fc2428f81811a6bc8745a2dccb7c2e1ad2291969c2139a9a40915c48542
DIST aws-cli-1.31.4.gh.tar.gz 2604265 BLAKE2B 224072e17f2f2ce1227b4b1e704cc796d35c01b90aeab7a86ffbe561ac7d28bee9e5ce07e5c77c47db529c6ac590c4c1813405fae6a748869b04423dafc1acf1 SHA512 b0c34752417ee3fa03402db8024d781c198a54416ab93f7e934c1146c77685aaf7ca441946f392c5c5a1b8b228eee21283cb35ff9fb45ef97365bd3e22e79cb1
DIST aws-cli-1.31.5.gh.tar.gz 2605057 BLAKE2B 8e1527dff985a21b08bc2c3d5008eac872b138928a034cd5dba33581daaa5003dbad6bb1c58e367c3eb9235588c76f32c5b15191e521722d42df967b1a380c49 SHA512 f8173536ae9435ccd83436ef3507e2fe69dbe1b37f124e7d5ee7506b4b77f847eb68b5e1105fdd2ccac60e06f06c0666b4137d8a933c352953beb24441cc4f4d
DIST aws-cli-1.31.6.gh.tar.gz 2605365 BLAKE2B 30e7789a2a4f47b3b4dce9fb3c8083d56ebec8501d66fa03e34309c1c9e0c6302ce79c044fb1aecd879f2784443db5a9927bfb1c22e94883709600f0e1c538b4 SHA512 5da1be164d4e52b255093c0685b4add43a21b2f0259a6ad9b6e6bc1c7bbb17e1ee0db0f6b29ff0227b301d7f66e1d63b3d92047ccef5578b9de6b5579319be6c
DIST aws-cli-1.31.7.gh.tar.gz 2605660 BLAKE2B 7b7dbdf2179964f6d23e0ad09c2ec7f45c07f15986c9761c9bca3b2d3dc685a3eee32fcd2108d81e2c918386120f6307918671c16b602a4236adc6873d78be06 SHA512 defbb2d861ee3ca5f0cab70e2a963b64e5dcfce1eb251b6685888d89adfe61a1bcdd8e428444bc37f0a266e9e602204028af6ba292de995fd0ae3956a6857364
DIST aws-cli-1.31.8.gh.tar.gz 2605946 BLAKE2B 847e30da21c149819c05af1a08aa8a38dd390fbeab4e09ca890b1fc56dc6211b972b567d53834f816362479b87d40ee0815167e45b3dc6eefbb93e6d7a5b9ce4 SHA512 89b5935bf29b679de1031e22f302fa74d9fd8fd60c3c9bf7458e2fa708d8fb8072d439f6c5b0e987be5d4e519820fb4d230bdc6d72795a462ccd98fb17f2bd86

@ -1,86 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..12} )
inherit bash-completion-r1 distutils-r1
MY_P=aws-cli-${PV}
DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="
https://github.com/aws/aws-cli/
https://pypi.org/project/awscli/
"
SRC_URI="
https://github.com/aws/aws-cli/archive/${PV}.tar.gz
-> ${MY_P}.gh.tar.gz
"
S=${WORKDIR}/${MY_P}
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv sparc x86"
# botocore is x.(y+2).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 2)).$(ver_cut 3-)"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.7.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
!app-admin/awscli-bin
"
BDEPEND="
test? (
dev-python/pytest-forked[${PYTHON_USEDEP}]
)
"
EPYTEST_XDIST=1
distutils_enable_tests pytest
src_prepare() {
# do not rely on bundled deps in botocore (sic!)
find -name '*.py' -exec sed -i \
-e 's:from botocore[.]vendored import:import:' \
-e 's:from botocore[.]vendored[.]:from :' \
{} + || die
# strip overzealous upper bounds on requirements
sed -i -e 's:,<[0-9.]*::' -e 's:==:>=:' setup.py || die
distutils-r1_src_prepare
}
python_test() {
local serial_tests=(
tests/functional/ecs/test_execute_command.py::TestExecuteCommand::test_execute_command_success
tests/functional/ssm/test_start_session.py::TestSessionManager::test_start_session_{fails,success}
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking_windows
tests/unit/customizations/codeartifact/test_adapter_login.py::TestNuGetLogin::test_login_nuget_sources_listed_with_backtracking
tests/unit/customizations/ecs/test_executecommand_startsession.py::TestExecuteCommand::test_execute_command_success
tests/unit/test_compat.py::TestIgnoreUserSignals
tests/unit/test_help.py
)
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
epytest "${serial_tests[@]}"
local EPYTEST_DESELECT=( "${serial_tests[@]}" )
# integration tests require AWS credentials and Internet access
epytest tests/{functional,unit}
}
python_install_all() {
newbashcomp bin/aws_bash_completer aws
insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws
distutils-r1_python_install_all
rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

@ -22,7 +22,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv sparc x86"
# botocore is x.(y+2).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 2)).$(ver_cut 3-)"

@ -1,86 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..12} )
inherit bash-completion-r1 distutils-r1
MY_P=aws-cli-${PV}
DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="
https://github.com/aws/aws-cli/
https://pypi.org/project/awscli/
"
SRC_URI="
https://github.com/aws/aws-cli/archive/${PV}.tar.gz
-> ${MY_P}.gh.tar.gz
"
S=${WORKDIR}/${MY_P}
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
# botocore is x.(y+2).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 2)).$(ver_cut 3-)"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.8.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
!app-admin/awscli-bin
"
BDEPEND="
test? (
dev-python/pytest-forked[${PYTHON_USEDEP}]
)
"
EPYTEST_XDIST=1
distutils_enable_tests pytest
src_prepare() {
# do not rely on bundled deps in botocore (sic!)
find -name '*.py' -exec sed -i \
-e 's:from botocore[.]vendored import:import:' \
-e 's:from botocore[.]vendored[.]:from :' \
{} + || die
# strip overzealous upper bounds on requirements
sed -i -e 's:,<[0-9.]*::' -e 's:==:>=:' setup.py || die
distutils-r1_src_prepare
}
python_test() {
local serial_tests=(
tests/functional/ecs/test_execute_command.py::TestExecuteCommand::test_execute_command_success
tests/functional/ssm/test_start_session.py::TestSessionManager::test_start_session_{fails,success}
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking_windows
tests/unit/customizations/codeartifact/test_adapter_login.py::TestNuGetLogin::test_login_nuget_sources_listed_with_backtracking
tests/unit/customizations/ecs/test_executecommand_startsession.py::TestExecuteCommand::test_execute_command_success
tests/unit/test_compat.py::TestIgnoreUserSignals
tests/unit/test_help.py
)
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
EPYTEST_XDIST= epytest "${serial_tests[@]}"
local EPYTEST_DESELECT=( "${serial_tests[@]}" )
# integration tests require AWS credentials and Internet access
epytest tests/{functional,unit}
}
python_install_all() {
newbashcomp bin/aws_bash_completer aws
insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws
distutils-r1_python_install_all
rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

@ -1,86 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..12} )
inherit bash-completion-r1 distutils-r1
MY_P=aws-cli-${PV}
DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="
https://github.com/aws/aws-cli/
https://pypi.org/project/awscli/
"
SRC_URI="
https://github.com/aws/aws-cli/archive/${PV}.tar.gz
-> ${MY_P}.gh.tar.gz
"
S=${WORKDIR}/${MY_P}
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
# botocore is x.(y+2).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 2)).$(ver_cut 3-)"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.8.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
!app-admin/awscli-bin
"
BDEPEND="
test? (
dev-python/pytest-forked[${PYTHON_USEDEP}]
)
"
EPYTEST_XDIST=1
distutils_enable_tests pytest
src_prepare() {
# do not rely on bundled deps in botocore (sic!)
find -name '*.py' -exec sed -i \
-e 's:from botocore[.]vendored import:import:' \
-e 's:from botocore[.]vendored[.]:from :' \
{} + || die
# strip overzealous upper bounds on requirements
sed -i -e 's:,<[0-9.]*::' -e 's:==:>=:' setup.py || die
distutils-r1_src_prepare
}
python_test() {
local serial_tests=(
tests/functional/ecs/test_execute_command.py::TestExecuteCommand::test_execute_command_success
tests/functional/ssm/test_start_session.py::TestSessionManager::test_start_session_{fails,success}
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking_windows
tests/unit/customizations/codeartifact/test_adapter_login.py::TestNuGetLogin::test_login_nuget_sources_listed_with_backtracking
tests/unit/customizations/ecs/test_executecommand_startsession.py::TestExecuteCommand::test_execute_command_success
tests/unit/test_compat.py::TestIgnoreUserSignals
tests/unit/test_help.py
)
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
EPYTEST_XDIST= epytest "${serial_tests[@]}"
local EPYTEST_DESELECT=( "${serial_tests[@]}" )
# integration tests require AWS credentials and Internet access
epytest tests/{functional,unit}
}
python_install_all() {
newbashcomp bin/aws_bash_completer aws
insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws
distutils-r1_python_install_all
rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

@ -63,8 +63,10 @@ python_test() {
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking_windows
tests/unit/customizations/codeartifact/test_adapter_login.py::TestNuGetLogin::test_login_nuget_sources_listed_with_backtracking
tests/unit/customizations/ecs/test_executecommand_startsession.py::TestExecuteCommand::test_execute_command_success
tests/unit/customizations/test_sessionmanager.py
tests/unit/test_compat.py::TestIgnoreUserSignals
tests/unit/test_help.py
tests/unit/test_utils.py::TestIgnoreCtrlC::test_ctrl_c_is_ignored
)
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
EPYTEST_XDIST= epytest "${serial_tests[@]}"

@ -1,2 +1 @@
DIST ClusterShell-1.9.2.tar.gz 400880 BLAKE2B d10c78696268cabd001e1da1c28f1850d6b2fd9d20e73f9aeab378c855a0b937f32d706869e2d3fcdf109b2e98175abbec8f06fe0c6d2c4139d2da14f1c5b610 SHA512 852c9dcbe333965fa853e4360da7305c448dc037348ede18c0417d763e68d4bafad0a60480fce421f1815a86dd0a20e07d32fd8828aa185e7e1b88ed292014fc
DIST clustershell-1.9.1.gh.tar.gz 383917 BLAKE2B 90d8c8390453a2c843bbb909a741d24d5f8e4b8eb03631bbe81b98973fce95d96dd3e68d0b951bc23d067057222c858e5041a3bafde200e0e2d14a0be995689f SHA512 32ee8b43d92e7ada8c81facc6a0609c39beee9189fa6fb9c2237387a58134f99fb2e6ab6e5de35c8e6fc8d3cef57f74f4c08b14968484546859071dff2594eb1

@ -1,57 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{9..11} )
PYTHON_REQ_USE="xml(+)"
inherit distutils-r1
DESCRIPTION="Python framework for efficient cluster administration"
HOMEPAGE="https://github.com/cea-hpc/clustershell/"
SRC_URI="
https://github.com/cea-hpc/clustershell/archive/v${PV}.tar.gz
-> ${P}.gh.tar.gz
"
LICENSE="LGPL-2.1+"
SLOT="0"
KEYWORDS="amd64 ~x86"
BDEPEND="
test? (
app-shells/pdsh
virtual/openssh
sys-devel/bc
)
"
RDEPEND="dev-python/pyyaml[${PYTHON_USEDEP}]"
distutils_enable_tests unittest
src_prepare() {
default
# remove test sets that require working ssh connection
rm tests/{CLIClush,TaskDistant*}Test.py || die
}
python_test() {
cd tests || die
# Automatic discovery does not work
"${EPYTHON}" -m unittest_or_fail -v *.py || die "Tests failed with ${EPYTHON}"
}
src_install() {
distutils-r1_src_install
mv "${ED}/usr/etc" "${ED}/etc" || die
}
pkg_postinst() {
einfo "Some default system-wide config files have been installed into"
einfo "/etc/${PN}"
}

@ -1 +1,2 @@
DIST eclean_kernel-2.99.6.tar.gz 25016 BLAKE2B cd408888d0f816417fcecbbc5d8c829280ae7859e520dcf5ee9c876727e7046d450a23ad403e0bd485e0071fa688464d85d9180c62a075749d1e70fee1f24027 SHA512 364750a6a105c774910ec3c9cfe99115c88b4cd15dd6c6a50aa71ba7724ff1cb865044a0e8dc8a746993c01e3c6a8a6fe7da797c1e94e9d5bc834cc7e4d85308
DIST eclean_kernel-2.99.7.tar.gz 25393 BLAKE2B 74f803f1007a1c54d87f087287a34a8380b21b9c66ad75a0ae64463815d5df39de0387f5d0cfd366e33efdaf039fce5dad923f1e55f93a2836830e303c3ca2df SHA512 dd43f65c1beebef59ee7a2e41375797fa5ea77171d8e4cf465b2b6a46e8e4500fb1723f664f2ce59e5b6e79d2dedd4abbaaa303a77e8349b9ee90c56e00e799e

@ -0,0 +1,29 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=flit
PYTHON_COMPAT=( python3_{10..12} )
inherit distutils-r1 pypi
DESCRIPTION="Remove outdated built kernels"
HOMEPAGE="
https://github.com/projg2/eclean-kernel/
https://pypi.org/project/eclean-kernel/
"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
IUSE="lz4 lzo zstd"
RDEPEND="
kernel_linux? ( dev-python/pymountboot[${PYTHON_USEDEP}] )
lz4? ( dev-python/lz4[${PYTHON_USEDEP}] )
lzo? ( dev-python/python-lzo[${PYTHON_USEDEP}] )
zstd? ( dev-python/zstandard[${PYTHON_USEDEP}] )
"
distutils_enable_tests pytest

@ -1,16 +0,0 @@
Upstream-PR: https://github.com/eradman/entr/pull/108
diff --git a/system_test.sh b/system_test.sh
index 2687bb3..dbec661 100755
--- a/system_test.sh
+++ b/system_test.sh
@@ -40,7 +40,7 @@ trap "$clear_tty; $clear_tmux; $clear_tmp" EXIT
utils="file pgrep git vim tmux"
for util in $utils; do
- p=$(which $util 2> /dev/null) || {
+ p=$(command -pv $util) || {
echo "ERROR: could not locate the '$util' utility" >&2
echo "System tests depend on the following: $utils" >&2
exit 1
--

@ -1,6 +1,6 @@
DIST git-credential-gopass-1.15.10-deps.tar.xz 288573500 BLAKE2B 1f816336a434b98efdd27acac0ad64bd285f5fab9fd747d3df3d567fda2514843634b75b52cab55e72ca77449d68cb2b000faf841170a9359f6c270acd0e47a9 SHA512 201e2855ac15227109fdfecb80a7f2e02494ced7e8027ab26a8e53d72441b9f08c87b3ed3e51888ee8c13c39a1f0a85fc1704730ebda8848dfe6349fde1a663f
DIST git-credential-gopass-1.15.10.tar.gz 24521 BLAKE2B 774cad65238025b025d7d9dd754596a0c0d5e7ec6592f76a819b7292758ab8ce8221887c72fd19f1445c7b73ef2d9e89542a2ddcb14d52375c91fe3a131aeba4 SHA512 7a175acc9475a3322b5039756307eb494aa1901185b1702993221c210efe7c4f7f030aef71653f505e52bedd8d92219f237849e29fc1cdb97cf97c5530ce60e1
DIST git-credential-gopass-1.15.11-deps.tar.xz 288548804 BLAKE2B 5c59db36a25762169ee3cbb9e5b7f9c91bd3d97b5ef6dea2e45f0345240bae05a6998359d3880fe5ed240b0c57888f7fe00229d6b0c930843ae1c3aa51004863 SHA512 ccc70e912e92c70de7ec49e824d559db2bd4ef0c907813ce0063b758b88c39c75dcc5d307d8527c13650edbcc0ebad20d981b8f2fcb32c32272e945bfe18a38b
DIST git-credential-gopass-1.15.11.tar.gz 24602 BLAKE2B 3f479403071af80a08f9d28e9cce3fa492829fb7d6eb230f73ff1d84eaf3c4435fc82f3bfb2a7b29aa96c9a6c1c446d3160df5e0d3e3ff89b9e873e344b9afcf SHA512 50f5496a0ae6f60b9074d9c1a29d6dbcddeb6a0976859b6071ccf1fdb2b6796038d2f6dd5f8a3ce4644c5c31ad5f3447037bc87e9276287172174058ef75adfa
DIST git-credential-gopass-1.15.8-deps.tar.xz 286523452 BLAKE2B 651e9366fee3c68c06f2a94ce713c3f843f6ee35f0343e187519342950c5efc9e08cc68090d219a8e50a0ac61690c8f8d1c37ac0b844f580bfb27cc2f86d0eff SHA512 bf2a798d758057009f5e21574c84c944043f472350e847016682a79159d2abeabfcb8d684504c3f4abd31312f505104b1a5f20591547e741b8ed5520dacd6920
DIST git-credential-gopass-1.15.8.tar.gz 24178 BLAKE2B c9d0e30384187125cb2c6a51ba34cb41a2878c4aa8aa04ef1f07906079f470d1980712b9f897d48ede9ea070d201d68a29795c0fffd63c592ab354be379e2c92 SHA512 8ad93729531a7a7962b4b0223d40e8984ba6524aeca3284bbd1a3e5ecdb0ec79788edae0cecde106d462fe41b8a355aca59a99749d50d042847509e9c56e68e8
DIST git-credential-gopass-1.15.9-deps.tar.xz 288585424 BLAKE2B 7cdd60d70781ad8361f3128299c319821e3040f7552ff89879e44adecfc8a9bb5ce0c5222cdf92fe9fa70bb90b633519094c3e3c18692b233ad826c304c846b4 SHA512 3daaa33c85dbf71c44288de9b44d6056f3b728e6aa455f6b8b56d1d78bad7b9682606ede14fae7e86fa8378655ceaf675dc9108883b0fc0d122d036c07720b1d
DIST git-credential-gopass-1.15.9.tar.gz 24226 BLAKE2B 608df8fcf584ba82d5ca0f20bb944024101cf867331c6478461ec3dd8b03d5f76df5b917b5c739d1ba4275f3b11806c9526ccd12ccc91db45314ae983a29fa6a SHA512 1a11f07e51b641e651c58ee664265ab3256d3b3b75ca0385cc9417428eda2123eecbee3b3ae5012d3da3d2890855132c2f463fd7d80f2cf32bb4d35658e61a82

@ -1,6 +1,6 @@
DIST gopass-hibp-1.15.10-deps.tar.xz 288559064 BLAKE2B 2b702538145673368f90e871c4d65f93d51ba81a18cdbd17aef80f6eb2688001bc6f9ca22a1357de9116c3ebd3797af27d386ef3f3017e96976249d0e79db310 SHA512 3ba6810a865615ce9243bd194ae1a5ca1401f2c41abf4e9f6b4cdf3aae217668d22ae4cb0fd7647037d8f27ec0c6a4e9aca64bb36cd24058894be0d539f652d3
DIST gopass-hibp-1.15.10.tar.gz 28521 BLAKE2B 51dcb7e2cbc8c9eb43a5268a085da090d8c6467244a0fdf23942298a01a33fa94b7cc43f3351bbefa6797dd8d1558eb6db0df86223999ccc2d2ade7d56f4a705 SHA512 02fbaaa3584925e602a34dc6d519fe98e6d546f80d72d3c68dff1951435619981101ea7851074844846c348cecf5e8306a4c2a188753d3c67ea1d9d323a69843
DIST gopass-hibp-1.15.11-deps.tar.xz 288522100 BLAKE2B 623d425a5bbeea5c5746e18d0dd44d198fa4b54fd5112fc870a5e95f092324e4a477565260ee68bccf903601997561429ab5546c6b7aaa3cec6de816076fcbff SHA512 db7f26676aeb2c67ae0b8645e9feed57540adefc04bed4dba0072c6766cd020921def0a8dae8c26a29c10e26ad27d84983b76350d885118f8d6393e25fddaf3f
DIST gopass-hibp-1.15.11.tar.gz 28709 BLAKE2B 0ec749f89896067f1a1b444f1dbf4508e67129cd012ea565edadcb87779c9f6ea1b62d4ea5fe1bef37f5fde7615e8254c003dd36ad9f1be488f8679b10211383 SHA512 781393893567c7f0a8089a0a61e9bf794661a00ae01d7505dd7a851093d6f3d2b75bf5c494aaf6c9696f400b95debd737f3f4719cd974dc94c3bfc1eb7db91ea
DIST gopass-hibp-1.15.8-deps.tar.xz 286508396 BLAKE2B fbb4fa665b90a0eaabd87743c3c3dcb19c73b6822c74ea92b5e4977aa01d16407526a6cfbdde7ee993d54c0eaf18b747b80ab8407ad7a62c6863976d22d3a09a SHA512 bdd8217a826f06683e91e2f8fc50e612a504187f30b10b92b4207ffa86ce7693f999625f28d7c59d88e386d1a45eed2dec37ce488b8a6cc1b3399cc49c8164ad
DIST gopass-hibp-1.15.8.tar.gz 28138 BLAKE2B 5f8e31e4063273e601f59a94d06525114d022d39fe9934150c04d669302687985536d233fe6085c5b2a05a87c39663159a589f90f19375297a4f8f702f08bd92 SHA512 5abdaeaaffce610146cbdc3b61fb2f5649d8be8ea3ff45ed003b051a690b281336fccaa19044b0d3444f2b4c3d632a53fa2570631d513a09566d1879149fb051
DIST gopass-hibp-1.15.9-deps.tar.xz 288527044 BLAKE2B 40c5026b99236e630f49ce3bd47e9225fa24a61c548a8d20fe7228f6f70624a69ed3eb0c315114b0d140adfb95e0821ede5c736b8f20e8c880646f6708a135fc SHA512 7c3a46f4a942b07ed1bb03c8c1f0bdf87ef7f53750ca28c4944c4e3c1d58ca941d964bcc222d7e916ceec2f613398a3ec93972c88aea8ae9e06003486da2d420
DIST gopass-hibp-1.15.9.tar.gz 28178 BLAKE2B ffb5b0d69e51d4956b5adec54c5e591d2376c11dedd86dd3b725800acccf4db3ea2d100901e3d0e2c1d97585783c85277af6a5a94f54948cce7e0908e5a6b982 SHA512 d9081e553039d90b2b8971a61e8bee243dbfc891303f839b5a9c2e148b4332ae4c4a17bcc57aeb4f672a11fb9786b82a604a1a71e9fefa98172b1d10073780d4

@ -1,6 +1,6 @@
DIST gopass-jsonapi-1.15.10-deps.tar.xz 288522312 BLAKE2B 1b13ebb6b0ec4cef6681aeb7e3d2c9ca88abea3c57d476b01b8b2ec1e2b040646bcf48b03c24974d78f0c79da8ef3cdcbe2406dc09506cae627ff1c3bb9b9ebb SHA512 3ae5ca8ab37821ed1a03475ddac558ef7c5710e988c006eaa42d87e0bd35d9cfb944c1819ba610ea46daeb0a6523c4a9e439d287af6aba3cd5c1dfa5143692fc
DIST gopass-jsonapi-1.15.10.tar.gz 35998 BLAKE2B 79a2151628559af3c7505e177dd39bb42d51644bfbf7984baa3ed2dd812bb048cdbc5ca1ee695aa1257de1c3f4a7d0ef4e4c75cbdb8e2147897e7ae17290effb SHA512 2d9bfaddfd7ca0741d9028ef8641732285e0c5be611e5cb1065f4bd205623b86066e812dd6204199b50bc4aa1528cdca42e149130cdeed9c31e0a32b6724c2d9
DIST gopass-jsonapi-1.15.11-deps.tar.xz 288583480 BLAKE2B f914d07a5b00f82bb1baa3114736fdde720a8bfb4b2378c60015501c281a14b595fff96c40b06c0f9f8d867e5b2004a43aa9eed4e3cf4016bdfb2a8acb221a78 SHA512 220f31aae7db0a268b4658f1464c8b1256958f2d220ebc028701db1ab2eda998b92d493e0facf741fc4d83135cf53d3fda5ac24f84365cd567da3d825623b0f6
DIST gopass-jsonapi-1.15.11.tar.gz 36121 BLAKE2B cc9832c9473d1ed0095ff10f6fbbe763d0b4a3a76fb891089f75a0cd0eb677e1c1c87598ff8beb1494d5790870c39d78df0c52ce9be68a127e0d8d725a9dcdc0 SHA512 7231edc6bf6a529761a193fda40fdf254ffdaab6853d9a265d4d7ff3fcdc08fb418f9c4f1a05f32180eccde5add1a5276fa01133fc90a61c57c4c9793a9abc3a
DIST gopass-jsonapi-1.15.8-deps.tar.xz 286568008 BLAKE2B 711b652fb6fa50cb6654343177f9b13f53f230bab9e1f6754ff2daaad114925581ac856e1986eb59f317881ceb8e84ad1e32390ede847cbb95f572293912771b SHA512 9d65bc216a14380bb519c5259bcf296494ff44f4d6bbe97b6561bef5e7c863e2130497386b74055f9a34dc9f1367d7f8afcee48eb8b8a667ba200e1af94daa7f
DIST gopass-jsonapi-1.15.8.tar.gz 35780 BLAKE2B f478fed2d85bcd098d6635d9180d7200f3a0cf7ea106db3cb6b71cda0b9ed45a9bf68ac3fe69de67d025fc9007eed9b1d4c607c4a8ff0630bbf01ec963b12b19 SHA512 6433fb5888e31f6d24db633b8d33c773537da781614bf7fe231dc364a20a27ea1170c5d938b1ccdfcad246032a9aa06e2ab960cad05522c4146aa0507b1f750c
DIST gopass-jsonapi-1.15.9-deps.tar.xz 288658032 BLAKE2B 79bfb69623a300848eabc0571a8e82cf6a241c99ea647cac758a0f17ec7bff2bff5f91a837f2f8a72955f16d76d6f7b9f8a31e54f450f8307af506e364dde97b SHA512 74e091a06682ee2aacfa770e7482ea1ea1eb337e7ff0e9cca86256a23bc80640772efd42061e9e94076d9e7609955155a1628e07a090e76d05dfa0c34f532acb
DIST gopass-jsonapi-1.15.9.tar.gz 35801 BLAKE2B 51b2426ab568a9a42b0433a62dfff529c4ede52445468d884ba608c02bea3269994d7f5e703bfcadd08f67ef9066ea545cd5cb14efe03488ef8b10808a478a0c SHA512 cf04a62116c8dcc331a7aff22654200f8352a4df29cf0cd99eb697dd278ea73890f660a674298cbce78489d980d5030a8c56156c60f4a360440d353600de79c6

@ -1,6 +1,6 @@
DIST gopass-summon-provider-1.15.10-deps.tar.xz 288573500 BLAKE2B 1f816336a434b98efdd27acac0ad64bd285f5fab9fd747d3df3d567fda2514843634b75b52cab55e72ca77449d68cb2b000faf841170a9359f6c270acd0e47a9 SHA512 201e2855ac15227109fdfecb80a7f2e02494ced7e8027ab26a8e53d72441b9f08c87b3ed3e51888ee8c13c39a1f0a85fc1704730ebda8848dfe6349fde1a663f
DIST gopass-summon-provider-1.15.10.tar.gz 21122 BLAKE2B 002a2b089765032ff8f9587f4a42ccea0f2e024d87d384db1c06918c26d213d8b64930725a5aa70b20e17211e1d022d324de81c7c5a62c6eda4655dc410dadae SHA512 c467d267e4ab247c22b7cf4936a328ee909c76d9c20c89dee6be0dcd520d9a45e3f556d1e607d54beb9a74c02d02d27ff4bbadb8f7e6a5ace67449be57977d6d
DIST gopass-summon-provider-1.15.11-deps.tar.xz 288548804 BLAKE2B 5c59db36a25762169ee3cbb9e5b7f9c91bd3d97b5ef6dea2e45f0345240bae05a6998359d3880fe5ed240b0c57888f7fe00229d6b0c930843ae1c3aa51004863 SHA512 ccc70e912e92c70de7ec49e824d559db2bd4ef0c907813ce0063b758b88c39c75dcc5d307d8527c13650edbcc0ebad20d981b8f2fcb32c32272e945bfe18a38b
DIST gopass-summon-provider-1.15.11.tar.gz 21218 BLAKE2B e042b2a003fa63fd79eaa24f3c50f1864238b7ae5c8d879c88c74c3795b6a9f97208c0b8ab51f3cde07a6a66155841a13517f49d900fd8fd49518775691e3926 SHA512 ae80aabe2216f37e1ac59509b3f7b2d785c0c0e20e7cc9fd42c170f7924be900e2b827daf117e174c69257595650ab287489017981c2988e6a5c1e4007ab1720
DIST gopass-summon-provider-1.15.8-deps.tar.xz 286523452 BLAKE2B 651e9366fee3c68c06f2a94ce713c3f843f6ee35f0343e187519342950c5efc9e08cc68090d219a8e50a0ac61690c8f8d1c37ac0b844f580bfb27cc2f86d0eff SHA512 bf2a798d758057009f5e21574c84c944043f472350e847016682a79159d2abeabfcb8d684504c3f4abd31312f505104b1a5f20591547e741b8ed5520dacd6920
DIST gopass-summon-provider-1.15.8.tar.gz 20690 BLAKE2B 43e9b6dd7025bcc43024f230f4f075a45db9b8644fb29d765ee713c3e8089315877a812dd0870ac1e77068bceca564f5a8661211111233605ede73cf199eccbb SHA512 3be3247cb0c79a2765bb609677084dc669c54e327c5bd21f5e3e2a8b3fb927bd665c374f2d6f7d99b83632b52e8e0c36409281bd93b265cf704246f5de2d11e7
DIST gopass-summon-provider-1.15.9-deps.tar.xz 288585424 BLAKE2B 7cdd60d70781ad8361f3128299c319821e3040f7552ff89879e44adecfc8a9bb5ce0c5222cdf92fe9fa70bb90b633519094c3e3c18692b233ad826c304c846b4 SHA512 3daaa33c85dbf71c44288de9b44d6056f3b728e6aa455f6b8b56d1d78bad7b9682606ede14fae7e86fa8378655ceaf675dc9108883b0fc0d122d036c07720b1d
DIST gopass-summon-provider-1.15.9.tar.gz 20748 BLAKE2B 77cf21bf19f2748297d85f2becf2bec39c0ae7823e98b2cce062a4c11ead86f40500115aa7c8c8acf96fe8302b0172d8b91029defa301c067eb4f9b091b4f496 SHA512 9e7651868fc0fb936768a0602247fb6682a1ab881c61efe81a560b8ac9f98ec13a807813b2f3f86acd4b9f5cffcaea19451fae4bb6d7cb1541f598811f61cd7b

@ -1,6 +1,6 @@
DIST gopass-1.15.10-deps.tar.xz 287839856 BLAKE2B 46c6b5ae3dbc2117aee7235776b627fcaffe819b283a6a25c3ad841dfe32584c2d80e1799abfc98b7bad22e1fdf62cba04365ce4c328a9db94d902bec8d85735 SHA512 317747e7b7370863790b7778367e0216b367d1b5f4be1af9f2d3828e1a960b746879a9e71cd195c51acbde914b7e3deed8a35eeb60780a21275b6993f77d695a
DIST gopass-1.15.10.tar.gz 2319168 BLAKE2B 06e8b2a69401c66975c2fde7e34c0b3987d35800c9ce9d0e9a2035b20943d8af472a267cfd66a5529458f5a311502738ab8e972647b4b8ed737680c264a88d48 SHA512 62c8395a5781ad9c10ccb235f02fb080564ca956b0999054d1838cc89387c959ea6fd0e6f3bd81e85db1fa8cf14d539498d57a3cfd978a338f9011234ec23242
DIST gopass-1.15.11-deps.tar.xz 288006888 BLAKE2B 527cef72eb493425111c6fd0a872bb31c63381226c823143e5d722cb59172a08901a50fce7042d329370bc83dd66205833e85608d68ce9b2037db89eb1a1b8a7 SHA512 978c5a915d382b8fe6360744c45c696f8c3c571df1341496537be73896d100eda78be1630b2f4a3ccd73d828d566a483bc057a302683aa4ddf92f46b8fa49e03
DIST gopass-1.15.11.tar.gz 2319860 BLAKE2B 923be5effa8ca5a77a12bcd2692d2a07b68c6d068a579022e359a5f6e485813c37dc7e34acfeb1f0deec4e1075a54dd75b408ef0e07713cf7ffc2cfde2e9ac38 SHA512 ec3231f6cf903ba3a70f4721f04613ddf0e28e820c98a708c861ae68c993162a1346f62332132c00abd218f82f0ed0da0f8b86297427e813b0688a8eee5128be
DIST gopass-1.15.8-deps.tar.xz 285946172 BLAKE2B a72ee73cfec9b6b55625eda6f3737d9133f99f1b951c79f87f7e5ea94ec1819fc7f1c3c0b4e16db255839b9e6865adac900f2a03911523ef088a108819b57802 SHA512 2a6293b1ac29f0d27d39d6faf29477a15b362cdd51f6e7c4b79074f7fa7709fdf71f167a96e81ade6429821fe68a9129859b95fc64f6bc2107b434d66a73c78a
DIST gopass-1.15.8.tar.gz 2309941 BLAKE2B 940855b30b132ca664e6e838cd1b3e8713a571e84c92ea873b0a0090df369492fdda46e1e2cf1e88f8e52ebe6308805ab707e9a74d3125396b0497ed2f79db5e SHA512 8c4f6fd750fa15dba7f81acccd4360c57e2454b7162625d38b1aa0d9d9fe218d2e7664c1505ff40450aab0cd829cc156b7e5544b64c790337078c6d86758cae7
DIST gopass-1.15.9-deps.tar.xz 287822700 BLAKE2B 49d521b256f9c02263027bcea4db0cb054cc08bbc2362a7a7dde422a595272c0c65ea35dc0e6ac8ad624b758f59fe8df218a72dc73b3bd5075b8762b3d6b4fc5 SHA512 616543120dff675ef85819e4f8726462a2f9b48404c770cd2043c766c19b6e9a4e5817c88832550028d5887b0f53125ed074232993b1fb7131b2e1864daeff92
DIST gopass-1.15.9.tar.gz 2313795 BLAKE2B cf0f2371ddce57c9b8912716fee650ef118bc6339d643a0cd2a8cd880fbd6f4e8da897f3c37d8ff9b9a8fcd92238dd19c06238453bcf714d9a628edc7c92c505 SHA512 e776c8c35858986006db2eb310571ddf98ce706373ccb334d9c4813a94f9e46ededd7be8b0bed383f7c6e60859d64cbf2d43c797181e3adf393c8596a4b459ec

@ -0,0 +1 @@
DIST linode-cli-5.45.2.tar.gz 126870 BLAKE2B adfb0862159fbd1dc887726a9d40c2534526b9fe7326c6340c52ed928aff5c9960b20a5961ed6aac7e276201e52a254fd6ba5e6aaa80da7d68e95cc0dc949f27 SHA512 9a6697b3306434cc4f59ef695d0b51e33f71b2d1be4d942e369a22328c3cbf78da0efc939f39f8da928ba5fb5bc2bc06a6ee5d0c9a8e0deb78b657738f19501d

@ -0,0 +1,26 @@
# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{10..12} )
DISTUTILS_USE_PEP517=setuptools
PYPI_NO_NORMALIZE=1
inherit distutils-r1 pypi
DESCRIPTION="Linode Command Line Interface"
HOMEPAGE="https://github.com/linode/linode-cli https://www.linode.com/"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64"
RDEPEND="
dev-python/boto3[${PYTHON_USEDEP}]
dev-python/openapi3[${PYTHON_USEDEP}]
dev-python/packaging[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/requests[${PYTHON_USEDEP}]
dev-python/rich[${PYTHON_USEDEP}]
<dev-python/urllib3-3[${PYTHON_USEDEP}]
"

@ -0,0 +1,16 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM 'https://www.gentoo.org/dtd/metadata.dtd'>
<pkgmetadata>
<maintainer type="person">
<email>ceamac@gentoo.org</email>
<name>Viorel Munteanu</name>
</maintainer>
<maintainer type="person">
<email>xgqt@gentoo.org</email>
<name>Maciej Barć</name>
</maintainer>
<upstream>
<remote-id type="github">linode/linode-cli</remote-id>
<remote-id type="pypi">linode-cli</remote-id>
</upstream>
</pkgmetadata>

@ -12,7 +12,7 @@ S="${WORKDIR}/${PN}-${P}"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ~ppc ppc64 ~riscv ~s390 sparc x86"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
IUSE="unicode"
RDEPEND="

@ -33,7 +33,7 @@ else
"
if [[ ${PV} != *_beta* && ${PV} != *_rc* ]] ; then
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ~ppc ppc64 ~riscv ~s390 sparc x86"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
fi
BDEPEND="verify-sig? ( sec-keys/openpgp-keys-sudo )"

Binary file not shown.

@ -16,7 +16,7 @@ SRC_URI="
LICENSE="BSD BSD-2 BSD-4 public-domain"
SLOT="0/13"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
KEYWORDS="~alpha ~amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="acl blake2 +bzip2 +e2fsprogs expat +iconv lz4 +lzma lzo nettle static-libs xattr zstd"
VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/libarchive.org.asc

@ -1 +1,2 @@
DIST par2cmdline-turbo-1.1.0.tar.gz 3879570 BLAKE2B 25aae3f30af8fd50d3acf34807151a4f948d2e54699c9c62ace3ac13376d680e1714f24bf2899f70cf58f59db85eb7278e96a8c9a926314e557567e5782acd8e SHA512 2999d21d446502ddc6c145dfa9f005d4f6bb5afcf7c40975759214c37936d0def7194c92b21591ee09845de43e8c4fbe14ae9f2a6401fbfe35c523cf2890103c
DIST par2cmdline-turbo-1.1.1.tar.gz 3937861 BLAKE2B 3c7829bff1148ca4eab2259664827c491b0802cd76b95119f0381f4c8eb1532ff7207293b740a8e5ecd2a515f59f60696ddf0ce7e6b50f637f49495b852912af SHA512 bb919f885134a298ba14551e21cf89a91aee292e437133e6973bef09fb5dee9a9b45e76a59320bfede864438d3ac884699be7ca3f7234896a9da14cb07ffa89d

@ -16,7 +16,7 @@ fi
DESCRIPTION="par2cmdline × ParPar: speed focused par2cmdline fork"
HOMEPAGE="https://github.com/animetosho/par2cmdline-turbo"
LICENSE="GPL-2"
LICENSE="GPL-2+"
SLOT="0"
IUSE="openmp"

@ -0,0 +1,30 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit autotools
if [[ ${PV} == 9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/animetosho/par2cmdline-turbo"
else
SRC_URI="https://github.com/animetosho/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64"
fi
DESCRIPTION="par2cmdline × ParPar: speed focused par2cmdline fork"
HOMEPAGE="https://github.com/animetosho/par2cmdline-turbo"
LICENSE="GPL-2+"
SLOT="0"
IUSE="openmp"
RDEPEND="
!app-arch/par2cmdline
"
src_prepare() {
default
eautoreconf
}

@ -16,7 +16,7 @@ fi
DESCRIPTION="par2cmdline × ParPar: speed focused par2cmdline fork"
HOMEPAGE="https://github.com/animetosho/par2cmdline-turbo"
LICENSE="GPL-2"
LICENSE="GPL-2+"
SLOT="0"
IUSE="openmp"

Binary file not shown.

@ -1,3 +1,3 @@
DIST bareos-20.0.8.tar.gz 13429247 BLAKE2B 5576cf738fccad0ac39f7c92e8da01f4925d58e4373c8bc19f68ddb8cc8d6a07bf73dfd39bd2111766ccd20ce2da224680b8ab9adf7b84421874ae916e633f75 SHA512 1da30d0ff2f1fda2c4a41ec6d41ec60e3212b1bdb153c7f397931580894f31e36ab84f655d263aed47b9eb21e68ef7e59ec3b7bbd4f2c8981ae04b84733ffb68
DIST bareos-21.1.7.tar.gz 11666508 BLAKE2B 8b5efffb987b53d1bc289aa104c10827c6bed630ffee16c26e8ab428ee20aa63a9e1e2fc03a7656d26f5905443b06c6a6f6d4860be413776874917e2c1cd0ef2 SHA512 2b7dfb16b74aa912449269efb92c85b6720f08526122c7dc9bfb648aed70b2ca81df41eacb60c53e2a154793c6ed209dd1571ecec7913a357e491064b1faab41
DIST bareos-22.1.0.tar.gz 14719993 BLAKE2B 38e354d3227d401c69ffb003c83ae90c2067720490af089d529da636bc300e2fb5042451ab439b8b102f6850aeadbe8dedc4311dba13f800eab0bc77d89f809d SHA512 dea64c6eb34a93f1a93eb6b0ac628a75101ac8873e06800a256f226e8f3a556fe39ce4e500246f9c51de30a2b0907732f789c6394f29b7bb9d983a64c709ad2c
DIST bareos-20.0.9.tar.gz 13432902 BLAKE2B c92b7b2a3d8a78d2119cef21ea5f13ae4898d750ac15f5b91fc143b0ab057a7537d3a190ef7f910810190c275f5cf885f07d819c6165f49ded25d11a329b02c0 SHA512 04386ef9a6f83bc9569f42d9567951a0e06c2dcda9409d1a17a07ccafaf55ff4a22e2b49ec9cd93c0d8bad244469aa87ad8ef4f27b7c6ae6820fd2b9c98d5d22
DIST bareos-21.1.8.tar.gz 11663322 BLAKE2B 5f8c66d44c702b187f56434925417f3eff5f9f515f52d5707d5dce2edfcf566474bae52518adab1d6f87d479fd05cc906f48350eec4f21b858720a607f9b4311 SHA512 643561d4bd92989e0b9356dab500083073daa2717159b5b061f5680ab96e8532c13753e94480419239bcad9938818c203d43dc72b690404ae5a143fdd3cd0738
DIST bareos-22.1.2.tar.gz 14746158 BLAKE2B 5d8c9c098f61bd35b11f907a3e215a7c08b504c3e529c67a4c8c5cbbf24775158966800e63efca260b4cc513417332cdf43a158d21684f09be3d89dd93258880 SHA512 76d53425b2a28f4f7887b323a70bf9b37df44302e0e25aff7156c1b3ee26ffa60bbfb45ed29a0f2fe763d5c38b8f7135ac2a3e405d8e2b10717f4893baf9c327

@ -1,9 +1,9 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
PYTHON_COMPAT=( python3_{9..10} )
PYTHON_COMPAT=( python3_{9..12} )
CMAKE_WARN_UNUSED_CLI=no
#CMAKE_REMOVE_MODULES=yes

@ -1,9 +1,9 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
PYTHON_COMPAT=( python3_{9..11} )
PYTHON_COMPAT=( python3_{9..12} )
CMAKE_WARN_UNUSED_CLI=no
#CMAKE_REMOVE_MODULES=yes
@ -145,7 +145,6 @@ src_prepare() {
eapply -p1 "${FILESDIR}/${PN}-21-cmake-gentoo.patch"
eapply "${FILESDIR}/${PN}-21.1.2-werror.patch"
eapply "${FILESDIR}/${PN}-21.1.2-no-automagic-ccache.patch"
eapply "${FILESDIR}/${PN}-gcc13-fixes.patch"
# fix missing DESTDIR in symlink creation
sed -i '/bareos-symlink-default-db-backend.cmake/d' "${S}/core/src/cats/CMakeLists.txt"

@ -1,11 +1,10 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
PYTHON_COMPAT=( python3_{9..12} )
CMAKE_WARN_UNUSED_CLI=no
#CMAKE_REMOVE_MODULES=yes
inherit python-any-r1 systemd cmake tmpfiles
@ -72,6 +71,9 @@ DEPEND="
sys-libs/ncurses:=
sys-libs/zlib
)
X? (
dev-qt/qtwidgets:5=
)
"
RDEPEND="${DEPEND}
!clientonly? (
@ -175,6 +177,9 @@ src_configure() {
systemd lmdb; do
mycmakeargs+=( -D$useflag=$(usex $useflag) )
done
if use X; then
mycmakeargs+=( -Dtraymonitor=yes )
fi
mycmakeargs+=(
-DHAVE_PYTHON=0

@ -1,11 +1,10 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
PYTHON_COMPAT=( python3_{9..12} )
CMAKE_WARN_UNUSED_CLI=no
#CMAKE_REMOVE_MODULES=yes
inherit python-any-r1 systemd cmake tmpfiles
@ -72,6 +71,9 @@ DEPEND="
sys-libs/ncurses:=
sys-libs/zlib
)
X? (
dev-qt/qtwidgets:5=
)
"
RDEPEND="${DEPEND}
!clientonly? (
@ -175,6 +177,9 @@ src_configure() {
systemd lmdb; do
mycmakeargs+=( -D$useflag=$(usex $useflag) )
done
if use X; then
mycmakeargs+=( -Dtraymonitor=yes )
fi
mycmakeargs+=(
-DHAVE_PYTHON=0

@ -11,7 +11,7 @@ if [[ ${PV} == "9999" ]] ; then
SRC_URI=""
else
SRC_URI="https://digint.ch/download/btrbk/releases/${P}.tar.xz"
KEYWORDS="~amd64 ~arm ~arm64 ~sparc ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
fi
DESCRIPTION="Tool for creating snapshots and remote backups of btrfs subvolumes"

@ -1,3 +1,2 @@
DIST snapper-0.10.3.tar.gz 409277 BLAKE2B bc4963081a24572015ff888b5cb85f3afa071e487a89e89f1a72d5b96391be69ad982c79ddfd71f020203d0c50ca07d67cbeb535cd6e57bc3d6ee269ef5c788e SHA512 74cb04d045304021564a0452769fdcde1764595a52e30947396c37fe4c36b3fba08d10505734bc0bd631986e933ee2bfaf67c871cba93a96e498fbfe5e2c6985
DIST snapper-0.10.5.tar.gz 422114 BLAKE2B 35c4772fc84920755d5fe87cad4a73792692ab7a55bcbcae65f20bf2e0cbcfb79429a423a5b55a89dbfeba1ff0474741c884bc632daa997fbb86cec52b68e3ef SHA512 e710069374b805394d691f8060d2852e35960a965fd49bb59768ebcc53a615af1f36269adac2d916b5e3f1b3e42fb2a53049d8f1b8a6a8430e992fa0de49c235
DIST snapper-0.10.6.tar.gz 423867 BLAKE2B a7d0f8c62c60c0d03bf108a8c0692dd209f170cf8227512cbc3b80eb9f58ecca845aa585859032bc6582d67e4c6ff15b75443a9ee9291d1b970efec15513571f SHA512 6eedfb9408260331f042f0a429a1104136cb88dac450f320641b0941cd06faf52f67cad2397cf4122f919876bb994455da0cfd3bb099f82217050e07b4c77d2e
DIST snapper-0.10.7.tar.gz 428482 BLAKE2B 43c48d978296901f6584cef258ec3723de97b1d6b4b4a5b6bc39649f28b3300919616c65b8fcdb97b3ebcab08d04e4583713eef146721367de24513e80113b45 SHA512 bf098c941735b60554ff0711fa43b30ef3634e01178f5ee8ad44c65b757c3366bd5bf568cef3a787b2ddcc2fc63090056109250480e6bd360ebf27a8343373b8

@ -1,19 +0,0 @@
https://bugs.gentoo.org/886505
https://github.com/openSUSE/snapper/commit/0f8a3dff903eeb30072b9b9809cf072d3c84d1fc
From 0f8a3dff903eeb30072b9b9809cf072d3c84d1fc Mon Sep 17 00:00:00 2001
From: Arvin Schnell <aschnell@suse.de>
Date: Tue, 15 Nov 2022 14:39:29 +0100
Subject: [PATCH] - fix build with boost 1.81
--- a/zypp-plugin/snapper-zypp-plugin.cc
+++ b/zypp-plugin/snapper-zypp-plugin.cc
@@ -30,6 +30,7 @@
#include <iostream>
#include <map>
+#include <set>
#include <string>
#include <regex>

@ -1,90 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit autotools systemd
DESCRIPTION="Command-line program for btrfs and lvm snapshot management"
HOMEPAGE="http://snapper.io/"
SRC_URI="https://github.com/openSUSE/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~arm64 ~riscv x86"
IUSE="doc lvm pam test systemd xattr"
RESTRICT="test"
RDEPEND="dev-libs/boost:=
dev-libs/json-c:=
dev-libs/libxml2
dev-libs/icu:=
sys-apps/acl
sys-apps/dbus
sys-apps/util-linux
>=sys-fs/btrfs-progs-3.17.1
sys-libs/zlib
virtual/libintl
lvm? ( sys-fs/lvm2 )
pam? ( sys-libs/pam )
xattr? ( sys-apps/attr )"
DEPEND="${RDEPEND}
app-text/docbook-xsl-stylesheets
dev-libs/libxslt
sys-devel/gettext
virtual/pkgconfig"
PATCHES=(
"${FILESDIR}"/cron-confd.patch
"${FILESDIR}"/${PN}-0.10.1-testsuite.patch
"${FILESDIR}"/${P}-boost-1.81.patch
)
src_prepare() {
default
sed -e "s,/usr/lib/systemd/system,$(systemd_get_systemunitdir),g" \
-i data/Makefile.* \
|| die "Failed to fix systemd services and timers installation path"
eautoreconf
}
src_configure() {
# ext4 code does not work anymore
# snapper does not build without btrfs
local myeconfargs=(
--disable-silent-rules
--with-conf="/etc/conf.d"
--enable-zypp
--enable-rollback
--enable-btrfs-quota
--disable-ext4
--enable-btrfs
$(use_enable doc)
$(use_enable lvm)
$(use_enable pam)
$(use_enable test tests)
$(use_enable systemd)
$(use_enable xattr xattrs)
)
econf "${myeconfargs[@]}"
}
src_install() {
default
# Existing configuration file required to function
keepdir /etc/snapper/configs
newconfd data/sysconfig.snapper snapper
find "${D}" -name '*.la' -delete || die
}
pkg_postinst() {
elog "In order to use Snapper, you need to set up"
elog "at least one config first. To do this, run:"
elog "snapper create-config <subvolume>"
elog "For more information, see man (8) snapper or"
elog "http://snapper.io/documentation.html and"
elog "https://wiki.gentoo.org/wiki/Snapper"
}

@ -11,7 +11,7 @@ SRC_URI="https://github.com/openSUSE/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
KEYWORDS="amd64 ~arm64 ~riscv x86"
IUSE="lvm pam test systemd xattr"
RESTRICT="test"

@ -15,6 +15,11 @@ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
IUSE="lvm pam test systemd xattr"
RESTRICT="test"
BDEPEND="app-text/docbook-xsl-stylesheets
dev-libs/libxslt
sys-devel/gettext
virtual/pkgconfig"
RDEPEND="dev-libs/boost:=
dev-libs/json-c:=
dev-libs/libxml2
@ -29,11 +34,7 @@ RDEPEND="dev-libs/boost:=
pam? ( sys-libs/pam )
xattr? ( sys-apps/attr )"
DEPEND="${RDEPEND}
app-text/docbook-xsl-stylesheets
dev-libs/libxslt
sys-devel/gettext
virtual/pkgconfig"
DEPEND="${RDEPEND}"
PATCHES=(
"${FILESDIR}"/cron-confd.patch

Binary file not shown.

@ -1,23 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DESCRIPTION="Controlled fork() bomber for testing heavy system load"
HOMEPAGE="http://home.tiscali.cz:8080/~cz210552/forkbomb.html"
SRC_URI="http://home.tiscali.cz:8080/~cz210552/distfiles/${P}.tar.gz"
LICENSE="public-domain"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
src_prepare() {
sed -i '/^all/s/tags//' Makefile || die
default
}
src_install() {
dobin ${PN}
doman ${PN}.8
}

Binary file not shown.

@ -1,3 +1,4 @@
DIST buildah-1.30.0.tar.gz 15623786 BLAKE2B e0b2f6d26827cfe40f88a9915f12b6acb385fbd576fa227d4fee02c162077e9c6fe0591c7171405f5645cd06e4068f26e17c2cb963898e38cfbdd61abe68dae2 SHA512 185fd98a59fa8d86fe9f1eadc9b7591e5053674464be10538a7581d8e1f6a25e5032a354c821c32a167e2864acea010243efbbe4f5a4205d8eaa2894f062a25b
DIST buildah-1.32.2.tar.gz 18451694 BLAKE2B 885b940e804394d18451e5dce3e3af4097a8adf01e59d7a288dda7063a888759abd9a5c18d8f4522709c7d296fc9a2b5d61229143f3545a786dc59ac837214e2 SHA512 3a50e53e047aa0e23643d8751af1fb51a83fd51e5440111432eb34bdb07e95f24676a917b54409c223df444fe123c8df4aa9af435737cfdd02d0eda0d3f5bba1
DIST buildah-1.33.1.tar.gz 18635429 BLAKE2B 93883b02e6b790c029b03dd3ebb5f0d7c8e184989c987034cd429ea804d17b275a2b81c9f37bbaff1a54367bb93a9b0870af86293aa0332c3ccac1bbb6a750fe SHA512 4abab105f6b242dc38e443b53b6c0c90fd7897bceb6b491fd067cd56767616a3df4005bc0bd0d10f217df2e6716cf950d8662788b110929a826660f29516703e
DIST buildah-1.33.2.tar.gz 18580150 BLAKE2B 523b75974a27695bbf818f4a1499d15e48e254934549f2ae191f462334aa4dd34a60c82b78b0d3351e05b297a40a8f8e2df94e75d22779a5c042dbd3dd307e4a SHA512 574c1a249d93edd5f89e106cd192da94235edcff097d9bce841e3b3b3a9588029deddaceb301505114b994e854016c72090cc0016a00ef027b25f3672a3fab32

@ -43,6 +43,9 @@ RDEPEND="
sys-apps/shadow:=
"
DEPEND="${RDEPEND}"
PATCHES=(
"${FILESDIR}"/fix-non-amd64-build-1.33.2.patch
)
pkg_pretend() {
local CONFIG_CHECK=""

@ -0,0 +1,128 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit go-module linux-info
DESCRIPTION="A tool that facilitates building OCI images"
HOMEPAGE="https://github.com/containers/buildah"
# main pkg
LICENSE="Apache-2.0"
# deps
LICENSE+=" BSD BSD-2 CC-BY-SA-4.0 ISC MIT MPL-2.0"
SLOT="0"
IUSE="apparmor btrfs +seccomp systemd doc test"
RESTRICT="test"
EXTRA_DOCS=(
"CHANGELOG.md"
"CONTRIBUTING.md"
"install.md"
"troubleshooting.md"
"docs/tutorials"
)
if [[ ${PV} == 9999* ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/containers/buildah.git"
else
SRC_URI="https://github.com/containers/buildah/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm64"
fi
RDEPEND="
systemd? ( sys-apps/systemd )
btrfs? ( sys-fs/btrfs-progs )
seccomp? ( sys-libs/libseccomp:= )
apparmor? ( sys-libs/libapparmor:= )
app-containers/containers-common
app-crypt/gpgme:=
dev-libs/libgpg-error:=
dev-libs/libassuan:=
sys-apps/shadow:=
"
DEPEND="${RDEPEND}"
PATCHES=(
"${FILESDIR}"/fix-non-amd64-build-1.33.2.patch
)
pkg_pretend() {
local CONFIG_CHECK=""
use btrfs && CONFIG_CHECK+=" ~BTRFS_FS"
check_extra_config
linux_config_exists || ewarn "Cannot determine configuration of your kernel."
}
src_prepare() {
default
# ensure all necessary files are there
local file
for file in docs/Makefile hack/libsubid_tag.sh hack/apparmor_tag.sh \
hack/systemd_tag.sh btrfs_installed_tag.sh btrfs_tag.sh; do
[[ -f "${file}" ]] || die
done
sed -i -e "s|/usr/local|/usr|g" Makefile docs/Makefile || die
echo -e '#!/usr/bin/env bash\necho libsubid' > hack/libsubid_tag.sh || die
cat <<-EOF > hack/apparmor_tag.sh || die
#!/usr/bin/env bash
$(usex apparmor 'echo apparmor' echo)
EOF
use seccomp || {
cat <<-'EOF' > "${T}/disable_seccomp.patch"
--- a/Makefile
+++ b/Makefile
@@ -5 +5 @@
-SECURITYTAGS ?= seccomp $(APPARMORTAG)
+SECURITYTAGS ?= $(APPARMORTAG)
EOF
eapply "${T}/disable_seccomp.patch" || die
}
cat <<-EOF > hack/systemd_tag.sh || die
#!/usr/bin/env bash
$(usex systemd 'echo systemd' echo)
EOF
echo -e "#!/usr/bin/env bash\n echo" > btrfs_installed_tag.sh || die
cat <<-EOF > btrfs_tag.sh || die
#!/usr/bin/env bash
$(usex btrfs echo 'echo exclude_graphdriver_btrfs btrfs_noversion')
EOF
use test || {
cat <<-'EOF' > "${T}/disable_tests.patch"
--- a/Makefile
+++ b/Makefile
@@ -54 +54 @@
-all: bin/buildah bin/imgtype bin/copy bin/tutorial docs
+all: bin/buildah docs
EOF
eapply "${T}/disable_tests.patch" || die
}
}
src_compile() {
# For non-live versions, prevent git operations which causes sandbox violations
# https://github.com/gentoo/gentoo/pull/33531#issuecomment-1786107493
[[ ${PV} != 9999* ]] && export COMMIT_NO="" GIT_COMMIT=""
default
}
src_test() {
emake test-unit
}
src_install() {
emake DESTDIR="${ED}" install install.completions
einstalldocs
use doc && dodoc -r "${EXTRA_DOCS[@]}"
}

@ -7,6 +7,7 @@ inherit go-module linux-info
DESCRIPTION="A tool that facilitates building OCI images"
HOMEPAGE="https://github.com/containers/buildah"
# main pkg
LICENSE="Apache-2.0"
# deps

@ -0,0 +1,44 @@
From 12b205f69876bf09bb6dfe03adcdefad5d4ee9f8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Dan=20=C4=8Cerm=C3=A1k?= <dcermak@suse.com>
Date: Mon, 20 Nov 2023 09:28:06 +0100
Subject: [PATCH] Remove makefile targets entrypoint{,.gz} for non x86_64
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
https://github.com/containers/buildah/pull/5183
The target internal/mkcw/embed/entrypoint is only built on x86_64, but
internal/mkcw/embed/entrypoint.gz is run on all arches. This causes build
failures on anything non x86_64 as internal/mkcw/embed/entrypoint is not build.
Signed-off-by: Dan Čermák <dcermak@suse.com>
---
Makefile | 9 ++++-----
1 file changed, 4 insertions(+), 5 deletions(-)
diff --git a/Makefile b/Makefile
index 85b43c7b9e..0fda9ae6eb 100644
--- a/Makefile
+++ b/Makefile
@@ -73,17 +73,16 @@ bin/buildah: $(SOURCES) cmd/buildah/*.go internal/mkcw/embed/entrypoint.gz
$(GO_BUILD) $(BUILDAH_LDFLAGS) $(GO_GCFLAGS) "$(GOGCFLAGS)" -o $@ $(BUILDFLAGS) ./cmd/buildah
ifneq ($(shell as --version | grep x86_64),)
+internal/mkcw/embed/entrypoint.gz: internal/mkcw/embed/entrypoint
+ $(RM) $@
+ gzip -k $^
+
internal/mkcw/embed/entrypoint: internal/mkcw/embed/entrypoint.s
$(AS) -o $(patsubst %.s,%.o,$^) $^
$(LD) -o $@ $(patsubst %.s,%.o,$^)
strip $@
-else
-.PHONY: internal/mkcw/embed/entrypoint
endif
-internal/mkcw/embed/entrypoint.gz: internal/mkcw/embed/entrypoint
- $(RM) $@
- gzip -k $^
.PHONY: buildah
buildah: bin/buildah

@ -11,5 +11,6 @@
</maintainer>
<upstream>
<remote-id type="github">docker/cli</remote-id>
<remote-id type="cpe">cpe:/a:docker:command_line_interface</remote-id>
</upstream>
</pkgmetadata>

@ -36,5 +36,6 @@
</use>
<upstream>
<remote-id type="github">moby/moby</remote-id>
<remote-id type="cpe">cpe:/a:docker:docker</remote-id>
</upstream>
</pkgmetadata>

@ -16,5 +16,6 @@
</use>
<upstream>
<remote-id type="github">lxc/lxc</remote-id>
<remote-id type="cpe">cpe:/a:linuxcontainers:lxc</remote-id>
</upstream>
</pkgmetadata>

@ -30,5 +30,6 @@
</longdescription>
<upstream>
<remote-id type="github">canonical/lxd</remote-id>
<remote-id type="cpe">cpe:/a:linuxcontainers:lxd</remote-id>
</upstream>
</pkgmetadata>

@ -1,4 +1,4 @@
DIST podman-4.5.0.tar.gz 17423692 BLAKE2B ba28e77626bb4bcdb85b20031e12cf93f2eb3174b678cb8e99557df13e2cdf377ea402eb373a51ea44302f878f8e1cdedda14a2f3ad8c9e88895754fc50c272e SHA512 8a699dc01fc3d7c4a9e5ef4f166170303fc30e0f6695c61f763944e1cb755e75896108e0c4166d184fe49e3a6859f045aa3883047ebba9290e851fc128d77cac
DIST podman-4.7.2.tar.gz 20554551 BLAKE2B a53bbe6b21145ab394b4a9bc540d4335ca6cdd0e0a98e741e5cfb8aa19aaeb2801ca8d117d42b0d66f618018a2d4b1d736fc851b58b661cbae6ee815712fb936 SHA512 1873a158f2e0527b6e57929f391c4ea5adee5fba33e861eb7744cd0ac845f7296f6149b5e824142e701e5b4db95466585206f37402298301f99cc40b781a51ba
DIST podman-4.8.0.tar.gz 21565805 BLAKE2B 830d24033b9ca21b404f67ec8d58b843430410493dd40ceb95ccbcbae761c421f41ea51b7d535c625ddeebb6df6e6ee9ade5613b244397c0da3edb214e5de8fb SHA512 2178a9c8428a0cf2c402e0f299efe2ad9a797143e641a92438112694a4acbdfb69ba8c104c87f4763d001f17cedb709eef24d86460d095a61a64d29a168a2051
DIST podman-4.8.0_rc1.tar.gz 21624090 BLAKE2B 0b11d3419e7934697e085daab4ea756cdd7f2d1ab059f8c35a78c60fee826757d208a48f4862e0105fe5a9e7b48c846d9ecdd32db8a74dd6fe0499b57ce0b3d2 SHA512 5b3cb3e78d311cf41c5b79ac0b93c34e77b7168230b6f307304be210a34606a937aa6039e2de14a5ae6271b94e7a19e12503335c3796f57c968df004d5f13607
DIST podman-4.8.1.tar.gz 21569190 BLAKE2B ea142f6ee120008c96fa1edef9be9a22cd846483f37a42ce3e5755aefcc5d9ee0c22b85edc7677e4bc6e4416870d8a45b382018865170fa922e97700504d4682 SHA512 a9188b81d4f4babb04c5a44d8a3aefb73c5d8f53d056d32c5c8563f296e27fa4f4b60f6c8581bebb7ee47c3f760743fd386211906ef0a88249f78256b24a4764

@ -1,38 +0,0 @@
# Patch by Rahil Bhimjiani (IRC: rahilarious) (rahil3108@gmail.com)
#
# Rationale behind this patch:
# 1. We don't install these files (policy.json default.yaml) as part of skopeo because podman, buildah, et. al need them as well, and there's no need for those to depend on skopeo just for configuration. Rely on app-containers/containers-common which has them split out instead. See https://bugs.gentoo.org/849863
# 2. Remove install-*: because it tries to (re)compile stuff (which we already built in src_compile) on install commands. src_install should only install, not compile
#
#
--- a/Makefile
+++ b/Makefile
@@ -158,23 +158,20 @@
rm -rf bin docs/*.1 completions/
install: install-binary install-docs install-completions
- install -d -m 755 ${DESTDIR}${LOOKASIDEDIR}
install -d -m 755 ${DESTDIR}${CONTAINERSCONFDIR}
- install -m 644 default-policy.json ${DESTDIR}${CONTAINERSCONFDIR}/policy.json
install -d -m 755 ${DESTDIR}${REGISTRIESDDIR}
- install -m 644 default.yaml ${DESTDIR}${REGISTRIESDDIR}/default.yaml
-install-binary: bin/skopeo
+install-binary:
install -d -m 755 ${DESTDIR}${BINDIR}
install -m 755 bin/skopeo ${DESTDIR}${BINDIR}/skopeo
-install-docs: docs
+install-docs:
ifneq ($(DISABLE_DOCS), 1)
install -d -m 755 ${DESTDIR}${MANDIR}/man1
install -m 644 docs/*.1 ${DESTDIR}${MANDIR}/man1
endif
-install-completions: completions
+install-completions:
install -d -m 755 ${DESTDIR}${BASHINSTALLDIR}
install -m 644 completions/bash/skopeo ${DESTDIR}${BASHINSTALLDIR}
install -d -m 755 ${DESTDIR}${ZSHINSTALLDIR}
install -m 644 completions/zsh/_skopeo ${DESTDIR}${ZSHINSTALLDIR}
install -d -m 755 ${DESTDIR}${FISHINSTALLDIR}

@ -38,9 +38,6 @@ RDEPEND="
BDEPEND="dev-go/go-md2man"
RESTRICT="test"
PATCHES=(
"${FILESDIR}"/makefile-1.14.0.patch
)
pkg_setup() {
use btrfs && CONFIG_CHECK+=" ~BTRFS_FS"
@ -48,34 +45,25 @@ pkg_setup() {
linux-info_pkg_setup
}
src_prepare() {
default
local file
for file in btrfs_installed_tag btrfs_tag libdm_tag libsubid_tag; do
[[ -f hack/"${file}".sh ]] || die
done
echo -e "#!/usr/bin/env bash\n echo" > hack/btrfs_installed_tag.sh || die
cat <<-EOF > hack/btrfs_tag.sh || die
#!/usr/bin/env bash
$(usex btrfs echo 'echo exclude_graphdriver_btrfs btrfs_noversion')
EOF
cat <<-EOF > hack/libdm_tag.sh || die
#!/usr/bin/env bash
$(usex device-mapper echo "echo libdm_no_deferred_remove exclude_graphdriver_devicemapper")
EOF
cat <<-EOF > hack/libsubid_tag.sh || die
#!/usr/bin/env bash
$(usex rootless "echo libsubid" echo)
EOF
run_make() {
emake \
BTRFS_BUILD_TAG="$(usex btrfs '' 'btrfs_noversion exclude_graphdriver_btrfs')" \
CONTAINERSCONFDIR="${EPREFIX}/etc/containers" \
LIBDM_BUILD_TAG="$(usex device-mapper '' 'libdm_no_deferred_remove exclude_graphdriver_devicemapper')" \
LIBSUBID_BUILD_TAG="$(usex rootless 'libsubid' '')" \
PREFIX="${EPREFIX}/usr" \
$@
}
src_compile() {
# export variables which 'make install' is also going to use
export PREFIX="${EPREFIX}/usr" \
CONTAINERSCONFDIR="${EPREFIX}/etc/containers"
# compile binary, docs, completions
emake all completions
run_make all completions
}
src_install() {
# The install target in the Makefile tries to rebuild the binary and
# installs things that are already installed by containers-common.
dobin bin/skopeo
einstalldocs
doman docs/*.1
run_make "DESTDIR=${D}" install-completions
}

Binary file not shown.

@ -22,7 +22,7 @@ else
https://github.com/certbot/certbot/archive/v${PV}.tar.gz
-> ${PARENT_P}.gh.tar.gz
"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
KEYWORDS="amd64 arm arm64 ~ppc64 ~riscv x86"
fi
DESCRIPTION="An implementation of the ACME protocol"

@ -23,7 +23,7 @@ else
-> ${PARENT_P}.gh.tar.gz
"
# Only for amd64, arm64 and x86 because of dev-python/python-augeas
KEYWORDS="~amd64 ~arm64 ~x86"
KEYWORDS="amd64 ~arm64 x86"
fi
DESCRIPTION="Apache plugin for Certbot (Lets Encrypt client)"

@ -22,7 +22,7 @@ else
https://github.com/certbot/certbot/archive/v${PV}.tar.gz
-> ${PARENT_P}.gh.tar.gz
"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
KEYWORDS="amd64 arm arm64 ~ppc64 ~riscv x86"
fi
DESCRIPTION="Nginx plugin for Certbot (Lets Encrypt client)"

@ -19,7 +19,7 @@ else
https://github.com/certbot/certbot/archive/v${PV}.tar.gz
-> ${P}.gh.tar.gz
"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
KEYWORDS="amd64 arm arm64 ~ppc64 ~riscv x86"
fi
DESCRIPTION="Lets Encrypt client to automate deployment of X.509 certificates"

@ -3,4 +3,4 @@ DIST gpgme-1.22.0.tar.bz2.sig 119 BLAKE2B fde8892743e7658004d73d89dcb3899fd003ad
DIST gpgme-1.23.1.tar.bz2 1716825 BLAKE2B 5810bafb2bbea0a44078fdd587fdeae5a2705dac381d6873dd1cdff017a0be7213125846201cdfef510a5802fdc6d86fd2216b17c380ef5f9e30add5edeaa70c SHA512 a82d5de29a38e5cee4042b3891d0a2c265001832e8578ba17b26c48c6d2a4d5919ac9655b4bfb5235dc8c7cea8d3254054da270d287133b9161e7c6ef93b2d58
DIST gpgme-1.23.1.tar.bz2.sig 119 BLAKE2B bc31079a0632aee4f84347114f3705d8e5068282000057cd8f332b541ee9f0d82eda246ed9b0fb156bb5fbb887156df8ba28518b184ce71b4c66c80e02efc154 SHA512 c3546bc69f8f083d6ebf146336860af263810224a7e9a42c233bfa1210eb0f6f82c26bf134d261ca823eef170549c2642ea2d689610446df91805c5d3c02528f
DIST gpgme-1.23.2.tar.bz2 1836904 BLAKE2B 563e470e861c7cc64ecb3e8dd0a0ed8436bc0867105093abcec09f4d1e1dd95cbf64c8161cf8500b9842583b57f6583efff63e5111234e36fda1e6fbedce2f78 SHA512 6cfcd07e81a93de240582de5a46545420cee93d1f27fe20ea2c983780fdd3036b69fdba073cf549d68a20791e189bf4b3cdde14a43f912d2ab9ef3414c83ac75
DIST gpgme-1.23.2.tar.bz2.sig 119 BLAKE2B ecce1862efbb3fa75f55c32232a1f26b3e429b017b833ea03bcbb5a650530b6efed6d43805f24a38244a111b6619374c38872c6534a12b726c1b5bbbabd93e7c SHA512 5eab64749c3b13426b4208324c362f09acb8f678e94a4641c447c94f7d6694f392b32919428b6fe4d0a60d84cf658f0091c5fff7f0757924f044c17dd68d7ca4
DIST gpgme-1.23.2.tar.bz2.sig 238 BLAKE2B fafba6e2f1f34c53fa3f7e05953298132f7b046048660b9f2df5bc11ccb9694b581117ca78883a8f4ca9af060397a39f3132a3711be1cd28183b7c2f8f93a8b7 SHA512 65b7cdd4ce06bb0b15b13033d226423380338efdcb47ffc3f33780a92973453053f8f59b12a3f37e392e773bdd207a7420c25aa3a210c15eec45b7bfef6e891e

@ -0,0 +1,109 @@
https://bugs.gentoo.org/918982
https://github.com/p11-glue/p11-kit/commit/d49c92c8420db6ee4c88515bdb014f68f4d471d9
From d49c92c8420db6ee4c88515bdb014f68f4d471d9 Mon Sep 17 00:00:00 2001
From: Daiki Ueno <ueno@gnu.org>
Date: Sat, 2 Dec 2023 09:24:01 +0900
Subject: [PATCH] import-object: Avoid integer truncation on 32-bit platforms
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
The build fails when compiling for 32-bit platforms with
-Werror=incompatible-pointer-types:
CFLAGS="-m32 -march=i686 -Werror=incompatible-pointer-types -Werror=implicit -Werror=int-conversion" setarch i686 -- meson setup _build
setarch i686 -- meson compile -C _build -v
...
../p11-kit/import-object.c: In function add_attrs_pubkey_rsa:
../p11-kit/import-object.c:223:62: error: passing argument 3 of p11_asn1_read from incompatible pointer type [-Werror=incompatible-pointer-types]
223 | attr_modulus.pValue = p11_asn1_read (asn, "modulus", &attr_modulus.ulValueLen);
| ^~~~~~~~~~~~~~~~~~~~~~~~
| |
| long unsigned int *
Reported by Sam James in:
https://github.com/p11-glue/p11-kit/issues/608
Signed-off-by: Daiki Ueno <ueno@gnu.org>
---
p11-kit/import-object.c | 30 +++++++++++++++++++++++++++---
1 file changed, 27 insertions(+), 3 deletions(-)
diff --git a/p11-kit/import-object.c b/p11-kit/import-object.c
index feee0765..fb47b964 100644
--- a/p11-kit/import-object.c
+++ b/p11-kit/import-object.c
@@ -55,6 +55,7 @@
#endif
#include <assert.h>
+#include <limits.h>
#include <stdbool.h>
#include <stdlib.h>
#include <string.h>
@@ -201,6 +202,7 @@ add_attrs_pubkey_rsa (CK_ATTRIBUTE *attrs,
CK_ATTRIBUTE attr_encrypt = { CKA_ENCRYPT, &tval, sizeof (tval) };
CK_ATTRIBUTE attr_modulus = { CKA_MODULUS, };
CK_ATTRIBUTE attr_exponent = { CKA_PUBLIC_EXPONENT, };
+ size_t len = 0;
pubkey = p11_asn1_read (info, "subjectPublicKey", &pubkey_len);
if (pubkey == NULL) {
@@ -220,17 +222,31 @@ add_attrs_pubkey_rsa (CK_ATTRIBUTE *attrs,
goto cleanup;
}
- attr_modulus.pValue = p11_asn1_read (asn, "modulus", &attr_modulus.ulValueLen);
+ attr_modulus.pValue = p11_asn1_read (asn, "modulus", &len);
if (attr_modulus.pValue == NULL) {
p11_message (_("failed to obtain modulus"));
goto cleanup;
}
+#if ULONG_MAX < SIZE_MAX
+ if (len > ULONG_MAX) {
+ p11_message (_("failed to obtain modulus"));
+ goto cleanup;
+ }
+#endif
+ attr_modulus.ulValueLen = len;
- attr_exponent.pValue = p11_asn1_read (asn, "publicExponent", &attr_exponent.ulValueLen);
+ attr_exponent.pValue = p11_asn1_read (asn, "publicExponent", &len);
if (attr_exponent.pValue == NULL) {
p11_message (_("failed to obtain exponent"));
goto cleanup;
}
+#if ULONG_MAX < SIZE_MAX
+ if (len > ULONG_MAX) {
+ p11_message (_("failed to obtain exponent"));
+ goto cleanup;
+ }
+#endif
+ attr_exponent.ulValueLen = len;
result = p11_attrs_build (attrs, &attr_key_type, &attr_encrypt, &attr_modulus, &attr_exponent, NULL);
if (result == NULL) {
@@ -260,12 +276,20 @@ add_attrs_pubkey_ec (CK_ATTRIBUTE *attrs,
CK_ATTRIBUTE attr_key_type = { CKA_KEY_TYPE, &key_type, sizeof (key_type) };
CK_ATTRIBUTE attr_ec_params = { CKA_EC_PARAMS, };
CK_ATTRIBUTE attr_ec_point = { CKA_EC_POINT, };
+ size_t len = 0;
- attr_ec_params.pValue = p11_asn1_read (info, "algorithm.parameters", &attr_ec_params.ulValueLen);
+ attr_ec_params.pValue = p11_asn1_read (info, "algorithm.parameters", &len);
if (attr_ec_params.pValue == NULL) {
p11_message (_("failed to obtain EC parameters"));
goto cleanup;
}
+#if ULONG_MAX < SIZE_MAX
+ if (len > ULONG_MAX) {
+ p11_message (_("failed to obtain EC parameters"));
+ goto cleanup;
+ }
+#endif
+ attr_ec_params.ulValueLen = len;
/* subjectPublicKey is read as BIT STRING value which contains
* EC point data. We need to DER encode this data as OCTET STRING.

@ -0,0 +1,76 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{10..12} )
inherit bash-completion-r1 meson-multilib python-any-r1
DESCRIPTION="Provides a standard configuration setup for installing PKCS#11"
HOMEPAGE="https://p11-glue.github.io/p11-glue/p11-kit.html"
SRC_URI="https://github.com/p11-glue/p11-kit/releases/download/${PV}/${P}.tar.xz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="+libffi gtk-doc nls systemd test"
RESTRICT="!test? ( test )"
RDEPEND="
app-misc/ca-certificates
>=dev-libs/libtasn1-3.4:=[${MULTILIB_USEDEP}]
libffi? ( dev-libs/libffi:=[${MULTILIB_USEDEP}] )
systemd? ( sys-apps/systemd:= )
"
DEPEND="${RDEPEND}"
BDEPEND="
${PYTHON_DEPS}
app-text/docbook-xsl-stylesheets
virtual/pkgconfig
gtk-doc? ( dev-util/gtk-doc )
nls? ( sys-devel/gettext )
"
PATCHES=(
"${FILESDIR}"/p11-kit-0.25.3-pointer.patch
)
src_prepare() {
default
# Relies on dlopen which won't work for multilib tests (bug #913971)
cat <<-EOF > "${S}"/p11-kit/test-server.sh || die
#!/bin/sh
exit 77
EOF
}
multilib_src_configure() {
# Disable unsafe tests, bug#502088
export FAKED_MODE=1
local native_file="${T}"/meson.${CHOST}.${ABI}.ini.local
# p11-kit doesn't need this to build and castxml needs Clang. To get
# a deterministic non-automagic build, always disable the search for
# castxml.
cat >> ${native_file} <<-EOF || die
[binaries]
castxml='castxml-falseified'
EOF
local emesonargs=(
--native-file "${native_file}"
-Dbashcompdir="$(get_bashcompdir)"
-Dtrust_module=enabled
-Dtrust_paths="${EPREFIX}"/etc/ssl/certs/ca-certificates.crt
$(meson_feature libffi)
$(meson_use nls)
$(meson_use test)
$(meson_native_use_bool gtk-doc gtk_doc)
$(meson_native_true man)
$(meson_native_use_feature systemd)
)
meson_src_configure
}

@ -56,6 +56,8 @@ src_prepare() {
}
multilib_src_configure() {
# Fails with inlining
filter-flags -fno-semantic-interposition
# tests fail with LTO enabbled. See bug 865275 and 865279
filter-lto

Binary file not shown.

@ -15,7 +15,7 @@ SRC_URI="https://extensions.libreoffice.org/assets/downloads/41/1693549382/dict-
LICENSE="BSD MIT LGPL-3+"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
PLOCALES=( "en-AU" "en-CA" "en-GB" "en-US" "en-ZA" )
IUSE+="+l10n_en ${PLOCALES[@]/#/l10n_}"

Binary file not shown.

@ -24,7 +24,7 @@ fi
# GPL-2 also for bundled libmscgen
LICENSE="GPL-2"
SLOT="0"
IUSE="clang debug doc dot doxysearch gui sqlite test"
IUSE="clang debug doc dot doxysearch gui test"
# - We need TeX for tests, bug #765472
# - We keep the odd construct of noop USE=test because of
# the special relationship b/t RESTRICT & USE for tests.

@ -24,7 +24,7 @@ fi
# GPL-2 also for bundled libmscgen
LICENSE="GPL-2"
SLOT="0"
IUSE="clang debug doc dot doxysearch gui sqlite test"
IUSE="clang debug doc dot doxysearch gui test"
# - We need TeX for tests, bug #765472
# - We keep the odd construct of noop USE=test because of
# the special relationship b/t RESTRICT & USE for tests.

@ -0,0 +1 @@
DIST execline-man-pages-2.9.4.0.1.tar.gz 44517 BLAKE2B 7d22cf847739ed80eec611f4740e2968cfe108a3f75612dce90f5a118485ed21a06f8a1a572e3753d3470de9e85c797de1eef474afc88b68013ea4efee6475bc SHA512 1dab22ac99644ded604c140b6c16a6920248409f41ad451c500361acd6b2218dfc6bd1ceac6062e5cebc9a6453ab5dde0291680118ada0145f0bd16c661e7075

@ -0,0 +1,16 @@
# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DESCRIPTION="mdoc port of the HTML documentation for the execline suite"
HOMEPAGE="https://git.sr.ht/~flexibeast/execline-man-pages"
SRC_URI="
https://git.sr.ht/~flexibeast/${PN}/archive/v${PV}.tar.gz
-> ${P}.tar.gz
"
S="${WORKDIR}/${PN}-v${PV}"
LICENSE="ISC"
SLOT="0"
KEYWORDS="~amd64"

@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>arkamar@gentoo.org</email>
<name>Petr Vaněk</name>
</maintainer>
<stabilize-allarches/>
<upstream>
<remote-id type="sourcehut">~flexibeast/execline-man-pages</remote-id>
</upstream>
</pkgmetadata>

@ -1,6 +1,7 @@
DIST python-2.7.18-docs-html.tar.bz2 4634932 BLAKE2B c48e2dede15d8186231acf65709641e0844c42e924262d6ee21a55e515aaf4d023bf394681bab780ab83998de9f409685e2d5870506810432145acc6422eff9d SHA512 db39390577ec86f13c9b6b57c01cba36fe9fd89092a773dc94f1a6a19d912759d097c4d80e765d3657b572abc731c1da9e7b4cd4c38065cd444606b906744abe
DIST python-3.10.13-docs-html.tar.bz2 7429989 BLAKE2B 7ddd11dbc4012cebf2f5980653b761ee35b986b75d96d582800f84e4c371aee4b82fcc2001c744e7f14991e766b0930a9ef4cb46869544e0aa403e513c4bd418 SHA512 be2cb6a2ece7849b1c259e9d86b7cf5e2a91c30a976b155c4055fc229d35a1762a90321a6227e890b6d5be51ab3377b9059b9662eed683933ec676fc2dc5f9a9
DIST python-3.11.6-docs-html.tar.bz2 7881012 BLAKE2B b20cb04dc32d6eacc904aaf3505a919c6a17dce9105899632571574e734c42693ce5f469bb5f2194bcc16eb4458b6df382c5b4fd24b398f21660c6388b87702a SHA512 a0b118ea3d8f17e5c0a4abec353bc8fd04603db2da51375272e164f8c93be7e3a992eaac3d256a9d05c2db26f830e4b4add40cdb2e1108b936ff4d358cbbb40c
DIST python-3.11.7-docs-html.tar.bz2 7855621 BLAKE2B da23f6fc60a47b0796de1b18190922110383ec6185a76e074608f4c1f18c38b89deefd31f63bcf6ce6f82f1731ef68177b209cc1f6c7145f391d48e8fc79ce6d SHA512 6fe0e7d86af549b0f8c59dd84d90f403ed4e5adee61289fe194d788305059ad492265cdb7b8185030f4f872eb40b2311d6a9250a7343edafa75d318d1dfcf864
DIST python-3.12.0-docs-html.tar.bz2 8200382 BLAKE2B e322d9c18a5a0af4b17ab7a670def1e6aa8f3022d37bd190d49bef1780a71371c6abcf5d9cf81b22a08d4115857e3caa6e8200bbf9b2f5f486f13cbef7366eac SHA512 4fa12af1d1280455063e7c37b479136483478296bcc99302b0bdd4696a84cee82456d1de37cc378fede97f3681bc75ffa535034da5bb76e86d01cb283c425733
DIST python-3.8.18-docs-html.tar.bz2 6729312 BLAKE2B 431b8d5029d09fc2f54fdc998799298ccb6571a68c735320c95469a81e62bc7c2a9ec0ec11caa9886ad6a2d643b8d715e6866c398ec153d101b16efb85cda656 SHA512 80bdbec04355644f4b114e74da3334b4980d783a52ac8c999ede72f39b6137d94f1aaca248a386cfa02d778a10bdd7919ad82932f0aa000b16c102c8cee67e52
DIST python-3.9.18-docs-html.tar.bz2 7023072 BLAKE2B 92273a711cc8c2a35104f7c35bdca50ee0e9794c72aa14e9c4e613298dd6f2ecebbe977a35f1520a8585f1ea3112e8ea8e477c0e3503b025b6cec875fe40033e SHA512 d123266c72db81703c386dc0d436243a36996c39cde382939cebea31ff7a0c049470daa27efc34a3a0d55310bc6fe489ba01572ca961f67ba7a098038f2cb5af

@ -0,0 +1,23 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="HTML documentation for Python"
HOMEPAGE="https://www.python.org/doc/"
SRC_URI="https://www.python.org/ftp/python/doc/${PV}/python-${PV}-docs-html.tar.bz2"
S="${WORKDIR}/python-${PV}-docs-html"
LICENSE="PSF-2"
SLOT="$(ver_cut 1-2)"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
src_install() {
rm -r _sources || die
docinto html
dodoc -r .
newenvd - 60python-docs-${SLOT} <<-EOF
PYTHONDOCS_${SLOT//./_}="${EPREFIX}/usr/share/doc/${PF}/html/library"
EOF
}

@ -0,0 +1 @@
DIST s6-linux-init-man-pages-1.1.2.0.1.tar.gz 22107 BLAKE2B a4fff622f0eda9dafdcee7c281839f728460032a809d984b41a547efb44407e5f72065c0ea2fc0cadfd3067f37642cda742c05c7a5a53482343267c1c47348b7 SHA512 49574fb4f8634e5b15b3ecaf9de4c4015c494d55091d93da31ab93dd16c0beb737a03e43e44f1a1f0500268adf75ebff8841a8ed0533e971c5b37e5b5989f972

@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>arkamar@gentoo.org</email>
<name>Petr Vaněk</name>
</maintainer>
<stabilize-allarches/>
<upstream>
<remote-id type="sourcehut">~flexibeast/s6-linux-init-man-pages</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1,16 @@
# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DESCRIPTION="mdoc port of the HTML documentation for the s6-linux-init suite"
HOMEPAGE="https://git.sr.ht/~flexibeast/s6-linux-init-man-pages"
SRC_URI="
https://git.sr.ht/~flexibeast/${PN}/archive/v${PV}.tar.gz
-> ${P}.tar.gz
"
S="${WORKDIR}/${PN}-v${PV}"
LICENSE="ISC"
SLOT="0"
KEYWORDS="~amd64"

@ -0,0 +1 @@
DIST s6-man-pages-2.12.0.2.1.tar.gz 123785 BLAKE2B 7eea4242a3d4dfa6170044c57639f4251db6d4cc5555d73beaae9e16866614cfe04d78ddc50a998548b96b10ff8ee57c1dd8e7e111e2c0660dff8ca5dd27c2de SHA512 76c7fac7e7bc8bfc6a4b0536562c2281d9187bcc0a2a6bcd1a74fccc60965ee319bedc0d6647c1c3793b19bb58f839e48a630066fbfa7f82347ca49a1e173ea7

@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>arkamar@gentoo.org</email>
<name>Petr Vaněk</name>
</maintainer>
<stabilize-allarches/>
<upstream>
<remote-id type="sourcehut">~flexibeast/s6-man-pages</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1,16 @@
# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DESCRIPTION="mdoc port of the HTML documentation for the s6 suite"
HOMEPAGE="https://git.sr.ht/~flexibeast/s6-man-pages"
SRC_URI="
https://git.sr.ht/~flexibeast/${PN}/archive/v${PV}.tar.gz
-> ${P}.tar.gz
"
S="${WORKDIR}/${PN}-v${PV}"
LICENSE="ISC"
SLOT="0"
KEYWORDS="~amd64"

@ -0,0 +1 @@
DIST s6-networking-man-pages-2.7.0.0.1.tar.gz 24147 BLAKE2B b0425a2ac0302f7158639ffb5f7b76b3341b885a9aff2b02e4b65c6e03a6cbdff8a0f7e93dd7f56416b2ca058dbb033971cbc90bb84d3d9bd6434fd31b56f06b SHA512 f683117584645184ebd45232b5727fb76406d9854f2dad0b60f883e56ef2c39242e7585d2892951c2bf8adf369ce2d95a5de598555d343be2fc903201c7cef7c

@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>arkamar@gentoo.org</email>
<name>Petr Vaněk</name>
</maintainer>
<stabilize-allarches/>
<upstream>
<remote-id type="sourcehut">~flexibeast/s6-networking-man-pages</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1,16 @@
# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DESCRIPTION="mdoc port of the HTML documentation for the s6 suite"
HOMEPAGE="https://git.sr.ht/~flexibeast/s6-man-pages"
SRC_URI="
https://git.sr.ht/~flexibeast/${PN}/archive/v${PV}.tar.gz
-> ${P}.tar.gz
"
S="${WORKDIR}/${PN}-v${PV}"
LICENSE="ISC"
SLOT="0"
KEYWORDS="~amd64"

@ -0,0 +1 @@
DIST s6-portable-utils-man-pages-2.3.0.3.1.tar.gz 13809 BLAKE2B faa340fca488e7bdf45268f9395efe4dd5e3c77ce9e2918c56af5614bc8ddbdd560f123af047280ebc9aa183aa724f74d375b816591f658b11a551ee74273786 SHA512 ae487a5d2bf2554f87c840b5fb003de6fcdf542817fe43e7824d0318cb4ee797d1547f4d56f5d5ebe1da3d909edc6da3f498e5f21f8c028c4478a460181a2cbc

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save